package com.unis.hlht.cjlksj.server.common.data;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceBuilder;
import lombok.extern.log4j.Log4j2;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import javax.sql.DataSource;


/**
 * 功能描述：druid druid-spring-boot-starter 数据源配置
 *
 * @author 李兵
 * @version v1.0
 * @date 2018/04/21 18:47
 */

@Configuration
@Log4j2
public class DruidConfigs {
    /**
     * Druid data source data source.
     * 1.1.10 配置方式
     *
     * @return data source
     */
    @Primary //默认数据源 在同样的DataSource中，首先使用被标注的DataSource 
    @Bean
    public DataSource druidDataSource() {
        return DruidDataSourceBuilder.create().build();
    }

}
