package com.unis.hlht.cjlksj.server.common.rest;

import com.alibaba.fastjson.JSONObject;
import com.unis.hlht.cjlksj.server.dto.instruction.HeartResponse;
import com.unis.hlht.cjlksj.server.dto.instruction.InstructionParasDTO;
import com.unis.hlht.cjlksj.server.enums.instruction.ResultEnum;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

/**
 * @description:粮库接口调用对象
 * @author:马伟栋
 * @version:v1.0
 * @create:2019/02/19-18:57
 **/
@SuppressWarnings("all")
@Slf4j
@Component
public class LiangKuRest {

    @Autowired
    private RestTemplate restTemplate;

    /**
     * 粮库数据接口
     *
     * @param dto
     * @param api
     * @return
     */
    public Boolean hearIssure(String url, InstructionParasDTO dto) {
        try {
            HeartResponse response = restTemplate.postForObject(url, dto, HeartResponse.class);
            if (response.getCode() != null) {
                log.error(url + "心跳接口返回状态码:" + response.getCode());
                return response.getCode().equals(ResultEnum.Code200.getCode().toString());
            }
            return false;
        } catch (Exception e) {
            log.error("执行心跳指令远程调用粮库接口失败：" + url,e);
            return false;
        }
    }

    public Boolean instructionIssure(String url, InstructionParasDTO dto) {
        try {
        	System.out.println("数据指令："+JSONObject.toJSONString(dto));
            HeartResponse postForObject = restTemplate.postForObject(url, dto, HeartResponse.class);
            return true;
        } catch (Exception e) {
            log.error("执行数据指令远程调用粮库接口失败", e);
            return false;
        }
    }

}
