package com.unis.hlht.cjlksj.server.controller;

import com.unis.hlht.cjlksj.server.dto.spjkxx.SPJKXXSxtDTO;
import com.unis.hlht.cjlksj.server.dto.spjkxx.SPJKXXTreeDTO;
import com.unis.hlht.cjlksj.server.entity.SPJKXXEntity;
import com.unis.hlht.cjlksj.server.server.SPJKXXServer;
import com.unis.hlht.cjlksj.server.utils.ResultWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * 功能描述: 视频监控信息列表控制层------------------------------接口已经废弃使用
 *
 * @Auther: 蒋青茂
 * @Date: 2019-5-8 11:00
 */
@Log4j2
@SuppressWarnings("all")
//@RestController
//@Api(value = "SPJKXX controller", description = "视频监控信息")
//@RequestMapping("/service/spjkxx")
public class SPJKXXController {

    @Autowired
    private SPJKXXServer spjkxxServer;


    @PostMapping("/findAll/{page}/{size}")
    @ApiOperation(value = "视频信息左侧列表根据单位代码分组,左侧列表合并成一个接口")
    public ResultWrapper findAll(@PathVariable(name = "page") Integer page, @PathVariable(name = "size") Integer size,@RequestBody Map<String, String> map) {
        try {
            String kqmc = map.get("kqmc");
            Map<String, Object> leftTree = spjkxxServer.findLeftTree(page, size,kqmc);
            List<SPJKXXTreeDTO> list = (List<SPJKXXTreeDTO>) leftTree.get("list");
            for (SPJKXXTreeDTO spjkxxTreeDTO : list) {
                String dwdm = spjkxxTreeDTO.getDwdm();
                List<SPJKXXSxtDTO> sxtDTOS = spjkxxServer.findByDwdmTree(spjkxxTreeDTO.getKqmc(),dwdm,spjkxxTreeDTO
                        .getTyshxydm());
                spjkxxTreeDTO.setSxtList(sxtDTOS);
            }
            leftTree.put("list", list);
            return ResultWrapper.success(leftTree);
        } catch (Exception e) {
            log.error(e);
            return ResultWrapper.error(e.toString());
        }

    }


    @PostMapping("/findLeftTree/{page}/{size}")
    @ApiOperation(value = "视频信息左侧列表根据单位代码分组")
    public ResultWrapper findLeftTree(@PathVariable(name = "page") Integer page, @PathVariable(name = "size") Integer size,@RequestBody Map<String, String> map) {
        try {
            String kqmc = map.get("kqmc");
            Map<String, Object> leftTree = spjkxxServer.findLeftTree(page, size,kqmc);
            return ResultWrapper.success(leftTree);
        } catch (Exception e) {
            log.error(e);
            return ResultWrapper.error(e.toString());
        }

    }

    @GetMapping("/findById")
    @ApiOperation(value = "查看详情")
    public ResultWrapper findAll(@RequestParam String id) {
        try {
            SPJKXXEntity entity = spjkxxServer.findById(id);
            return ResultWrapper.success(entity);
        } catch (Exception e) {
            log.error(e);
            return ResultWrapper.error(e.toString());
        }

    }
    @PostMapping("/findByDwdm/{dwdm}")
    @ApiOperation(value = "根据单位代码查询所有的摄像头名称(过滤掉了硬盘录像机)")
    public ResultWrapper findByDwdm(@PathVariable String dwdm) {
        try {
            if (StringUtils.isBlank(dwdm)) {
                return ResultWrapper.error("单位代码不能为空");
            }
            List<SPJKXXSxtDTO> list = spjkxxServer.findByDwdm(dwdm);
            return ResultWrapper.success(list);
        } catch (Exception e) {
            log.error(e);
            return ResultWrapper.error(e.toString());
        }

    }

}
