package com.unis.hlht.cjlksj.server.controller.datashare;

import com.unis.hlht.cjlksj.server.dto.datashare.DataShareReqDTO;
import com.unis.hlht.cjlksj.server.dto.datashare.DataShareRespDTO;
import com.unis.hlht.cjlksj.server.dto.upload.UploadDTO;
import com.unis.hlht.cjlksj.server.server.DataShareServer;
import com.unis.hlht.cjlksj.server.server.DataUpLoadServer;
import com.unis.hlht.cjlksj.server.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;

import java.io.OutputStream;

import javax.servlet.ServletInputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 
 * @ClassName: DatashareController
 * @Description: 粮库数据共享通道
 * @author ldq
 * @date 2020年7月29日
 *
 */
@SuppressWarnings("all")
@Log4j2
@RestController
@RequestMapping("/service/API")
@Api(value = "datashare controller", description = "共享接口控制层")
public class DatashareController {

	@Autowired
	private DataShareServer dataShareServer;

	/**
	 * 粮库数据共享
	 * 
	 * @param dto
	 * @return
	 */
	@ApiOperation("粮库数据共享通道")
	@PostMapping(value = "/DATADOWNLOAD/{api}")
	public DataShareRespDTO datadownload(@PathVariable("api") String api, @RequestBody DataShareReqDTO dto) {
		try {
			return dataShareServer.download(api, dto);
		} catch (Exception e) {
			log.error(e);
			return new DataShareRespDTO("500", "数据处理失败");
		}
	}
	
	@ApiOperation("粮库数据共享通道")
	@PostMapping(value = "/getDataCount")
	public void getDataCount(@RequestParam("userId")String userId, HttpServletResponse response) {
		try {
			String dataCount = dataShareServer.getDataCount(userId);
			OutputStream outputStream = response.getOutputStream();
			outputStream.write(dataCount.getBytes());
			outputStream.flush();
			outputStream.close();
		} catch (Exception e) {
			log.error(e);
		}
	}

}
