package com.unis.hlht.cjlksj.server.controller.datashow;

import java.util.List;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.hlht.cjlksj.server.dto.upload.DataQueryDTO;
import com.unis.hlht.cjlksj.server.entity.TableCommentEntity;
import com.unis.hlht.cjlksj.server.mapper.GeneralMapper;
import com.unis.hlht.cjlksj.server.mapper.GrabResultMapper;
import com.unis.hlht.cjlksj.server.mapper.LiangKuApiMapper;
import com.unis.hlht.cjlksj.server.mapper.SysUploadErrorResultMapper;
import com.unis.hlht.cjlksj.server.mapper.TableCommentMapper;
import com.unis.hlht.cjlksj.server.utils.LogicKeyUtil;

import lombok.extern.log4j.Log4j2;

/**
 * 功能描述: 功能测试controller层
 *
 * @Auther: 蒋青茂
 * @Date: 2019-3-19 10:30
 */
@SuppressWarnings("all")
@Log4j2
@RestController
@RequestMapping(value="datshow")
public class DataShowController {

	@Autowired
	private LiangKuApiMapper mapper;
	@Autowired
	private GrabResultMapper regexMapper;
	@Autowired
	private SysUploadErrorResultMapper sysUploadErrorResultMapper;
	@Autowired
	private TableCommentMapper tMapper;
    @Autowired
    private GeneralMapper generalMapper;
	
	@PostMapping(value="getTableAllList")
	public List<TableCommentEntity> getTableAllList(){
		List<TableCommentEntity> allTable = tMapper.findAllTable();
		return allTable;
	}
	
	@PostMapping(value="getTableHeadList")
	public List<Map> getTableHeadList(DataQueryDTO dto){
		String tableName = dto.getTableName();
		if(StringUtils.isEmpty(tableName)) {
			tableName = "DIM_HY_CCQYJBXXQKB";
		}
		String sql = "select ZDMC,ZDBM from sys_datadict  where zd_f_bm = '"+tableName+"'";
		List<Map> cList = sysUploadErrorResultMapper.select(sql);
		return cList;
	}
	
	@PostMapping(value="getTableDataList")
	public String getTableDataList(@RequestBody DataQueryDTO dto){
//		String pageSql = " SELECT * FROM\n" + 
//				"(\n" + 
//				"SELECT A.*, ROWNUM RN\n" + 
//				"FROM (";
//		
//		String pageSqlEnd = ") A\n" + 
//				"WHERE ROWNUM <= 3\n" + 
//				")\n" + 
//				"WHERE RN >= 0";
		
		
		String tableName = dto.getTableName();
		if(StringUtils.isEmpty(tableName)) {
			tableName = "DIM_HY_CCQYJBXXQKB";
		}
		String sql = "select ZDMC,ZDBM from sys_datadict  where zd_f_bm = '"+tableName+"'";
		List<Map> cList = sysUploadErrorResultMapper.select(sql);
		
		StringBuffer dataQuery = new StringBuffer();
		dataQuery.append("select ");
		for (Map map : cList) {
			String zdbm = map.get("ZDBM")+",";
			dataQuery.append(zdbm);
		}
		sql = dataQuery.substring(0,dataQuery.lastIndexOf(","));
		sql = sql +" from " + tableName +" where 1=1 ";
		
		String tyshxydm = dto.getTyshxydm();
		if(!StringUtils.isEmpty(tyshxydm)) {
			sql += (" and tyshxydm = '" + tyshxydm + "'");
		}
		
		String queryColumn = dto.getQueryColumn();
		String queryColumnVal = dto.getQueryColumnVal();
		if (!StringUtils.isEmpty(queryColumn) && !StringUtils.isEmpty(queryColumnVal)) {
			sql += (" and " + queryColumn + " like '%" + queryColumnVal + "%'");
		}
		
//		sql += "	order by  TO_DATE(ZHGXSJ, 'yyyy-MM-dd hh24:mi:ss') desc ";
		PageHelper.startPage(dto.getPageNo(), dto.getPageSize());
		PageHelper.orderBy(" TO_DATE(ZHGXSJ, 'yyyy-MM-dd hh24:mi:ss') desc ");
//		sql = pageSql + sql + pageSqlEnd;
		List<Map> dataList = sysUploadErrorResultMapper.select(sql);
		PageInfo<Map> pageInfo = new PageInfo<>(dataList);
		String jsonString = JSONObject.toJSONString(pageInfo);
		return jsonString;
	}
	
	
	@PostMapping(value="del/{tableName}")
	public String updateCzbz(@PathVariable("tableName") String tableName,@RequestBody Map delDataMap){
	    String CZBZ_D = "d";
	    String COLUMN_ID = "ID";
	    String COLUMN_CZBZ = "CZBZ";
	    
		if(StringUtils.isEmpty(tableName)) {
			return "表名不能为空";
		}
		
        //逻辑主键
        List<String> keys = LogicKeyUtil.getprimeryKeys(tableName);
        if(LogicKeyUtil.notVerify(tableName) == false) {
        	if (keys == null || keys.size() <= 0) {
        		log.error("未获取到表'" + tableName + "'的逻辑主键");
        		return "未获取到表'" + tableName + "'的逻辑主键";
        	}
        }
        
        if(LogicKeyUtil.notVerify(tableName) == false) {
            List<Map> deletDatas = generalMapper.getByLogickey(tableName, keys, delDataMap);
            for (Map deletData : deletDatas) {
                String id = deletData != null ? (deletData.get(COLUMN_ID) == null ? null : String.valueOf(deletData.get(COLUMN_ID))) : null;
                String czbz = deletData != null ? (deletData.get(COLUMN_CZBZ) == null ? null : deletData.get(COLUMN_CZBZ).toString()) : null;
                //数据库中无此条数据或有数据操作标志为d直接跳过，其他做更新操作标志为d
                if (StringUtils.isNotBlank(czbz) && !CZBZ_D.equalsIgnoreCase(czbz)) {
                    generalMapper.deleteByPrimaryK(id, tableName);
                }
            }
        }
		
		return "200";
	}
	
	
	
	@PostMapping(value="expTableDataList")
	public String expTableDataList(@RequestBody DataQueryDTO dto){
		String tableName = dto.getTableName();
		if(StringUtils.isEmpty(tableName)) {
			tableName = "DIM_HY_CCQYJBXXQKB";
		}
		String sql = "select ZDMC,ZDBM from sys_datadict  where zd_f_bm = '"+tableName+"'";
		List<Map> cList = sysUploadErrorResultMapper.select(sql);
		
		StringBuffer dataQuery = new StringBuffer();
		dataQuery.append("select ");
		for (Map map : cList) {
			String zdbm = map.get("ZDBM")+",";
			dataQuery.append(zdbm);
		}
		sql = dataQuery.substring(0,dataQuery.lastIndexOf(","));
		sql = sql +" from " + tableName +" where 1=1 ";
		
		String tyshxydm = dto.getTyshxydm();
		if(!StringUtils.isEmpty(tyshxydm)) {
			sql += (" and tyshxydm = '" + tyshxydm + "'");
		}
		
		String queryColumn = dto.getQueryColumn();
		String queryColumnVal = dto.getQueryColumnVal();
		if (!StringUtils.isEmpty(queryColumn) && !StringUtils.isEmpty(queryColumnVal)) {
			sql += (" and " + queryColumn + " like '%" + queryColumnVal + "%'");
		}
		List<Map> dataList = sysUploadErrorResultMapper.select(sql);
		String jsonString = JSONObject.toJSONString(dataList);
		return jsonString;
	}
}
