package com.unis.hlht.cjlksj.server.controller.datashow;

import java.io.OutputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.unis.hlht.cjlksj.server.entity.TableCommentEntity;
import com.unis.hlht.cjlksj.server.mapper.DataStatisticsMapper;
import com.unis.hlht.cjlksj.server.utils.DateUtil;
import com.unis.hlht.cjlksj.server.utils.RegexExcelUtil;

import lombok.extern.log4j.Log4j2;

/**
 * 功能描述: 功能测试controller层
 *
 * @Auther: 蒋青茂
 * @Date: 2019-3-19 10:30
 */
@SuppressWarnings("all")
@Log4j2
@RestController
@RequestMapping(value = "datastatistics")
public class DataStatisticsController {

	@Autowired
	private DataStatisticsMapper dMapper;

	@PostMapping(value = "export")
	public void getTableAllList(HttpServletRequest request, HttpServletResponse response) {
		List<Map> sheetMapList = new ArrayList<>();
		List<String> indexList = new ArrayList<>();

		List<String> list = new ArrayList<>();
		list.add("analyze table DIM_HY_KQQKB compute statistics");
		list.add("analyze table DIM_HY_CCQYJBXXQKB   compute statistics");
		list.add("analyze table DIM_HY_CFQKB   compute statistics");
		list.add("analyze table DIM_HY_AJQKB   compute statistics");
		list.add("analyze table DIM_HY_HWQKB   compute statistics");
		list.add("analyze table DIM_HY_YGQKB   compute statistics");
		list.add("analyze table DIM_HY_WJQKB   compute statistics");
		list.add("analyze table DIM_CRK_RKXX   compute statistics");
		list.add("analyze table DIM_CRK_RKJYXX   compute statistics");
		list.add("analyze table DIM_CRK_RKJSXX   compute statistics");
		list.add("analyze table DIM_CRK_CKXX   compute statistics");
		list.add("analyze table DIM_CRK_CKJSXX   compute statistics");
		list.add("analyze table DIM_CRK_DCXX   compute statistics");
		list.add("analyze table DIM_CRK_KCXX   compute statistics");
		list.add("analyze table DIM_HY_LSCC_YLSHXXB   compute statistics");
		list.add("analyze table DIM_CRK_XZZBDXX   compute statistics");
		list.add("analyze table T_LSCC_WSDJCXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_CQJCXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_QTJCXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_TFZYXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_XZZYXXB   compute statistics");
		list.add("analyze table DIM_HY_LHJHXX   compute statistics");
		list.add("analyze table DIM_HY_LHJHMXXX   compute statistics");
		list.add("analyze table DIM_HY_HTXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_ZCZJMXB   compute statistics");
		list.add("analyze table DIM_HY_DWRYXXB   compute statistics");
		list.add("analyze table DIM_HY_XZJGJBXXQKB   compute statistics");
		list.add("analyze table DIM_HY_ZJJGJBXXQKB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_LQJCXXB   compute statistics");
		list.add("analyze table DIM_HY_KHXXQKB   compute statistics");
		list.add("analyze table DIM_HYJGXXB   compute statistics");
		list.add("analyze table DIM_HY_CLXXQKB   compute statistics");
		list.add("analyze table DIM_HY_CRK_ZCXXB   compute statistics");
		list.add("analyze table DIM_HY_KXCL_XMFYXXB   compute statistics");
		list.add("analyze table DIM_HY_KXCL_XMGKXXB   compute statistics");
		list.add("analyze table DIM_HY_KXCL_XMRYXXB   compute statistics");
		list.add("analyze table DIM_HY_KXCL_XMYSXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_AQSGXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_NHJCXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_SBGLXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_SFAQYA   compute statistics");
		list.add("analyze table DIM_HY_LSCC_SLJCXXB   compute statistics");
		list.add("analyze table DIM_HY_LSCC_YPGLXXB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_CBGMB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_CHECKITEM compute statistics");
		list.add("analyze table DIM_HY_LYLH_JHXDXXB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_LHFYSHB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_LHPFB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_LHSQB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_LHYSSQB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_LHZXPFB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_LHZXSQB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_RESUKT   compute statistics");
		list.add("analyze table DIM_HY_WDXXB   compute statistics");
		list.add("analyze table DIM_HY_LYLH_REPORT   compute statistics");
		list.add("analyze table DIM_HY_JHXDXXB	 compute statistics");
		list.add("analyze table DIM_HY_JHZXXXB	 compute statistics");
		list.add("analyze table DIM_HY_SPJKXX	 compute statistics");
		list.add("analyze table DIM_HY_LSCC_BGTZB	 compute statistics");
		for (String sql : list) {
//			dMapper.syn(sql);
		}
		System.out.println("同步成功");
		
		List<Map> dataCountlist = dMapper.selectDataCount();
		String[][] content = new String[dataCountlist.size()][2];
		int j = 0;
		for (int i = 0; i < dataCountlist.size(); i++) {
			Map obj = dataCountlist.get(i);
			content[j][0] = obj.get("TNAME").toString();
			content[j][1] = obj.get("ROWNUMS").toString();
			j++;
		}
		Map<String, Object> sheetMapCount = new HashMap<>();
		String[] title = { "表名", "数据量"};
		sheetMapCount.put("title", title);
		sheetMapCount.put("sheetName", "数据量");
		sheetMapCount.put("content", content);
		sheetMapCount.put("dataCount", dataCountlist.size());
		sheetMapList.add(sheetMapCount);
		
		List<Map> dataSizelist = dMapper.selectDataSize();
		
		String[][] contentSize = new String[dataSizelist.size()][2];
		j = 0;
		for (int i = 0; i < dataSizelist.size(); i++) {
			Map obj = dataSizelist.get(i);
			contentSize[j][0] = obj.get("TNAME").toString();
			String mbsize = obj.get("MBSIZE").toString();
			contentSize[j][1] = mbsize;
			j++;
		}
		Map<String, Object> sheetMapSize = new HashMap<>();
		String[] titleSize = { "表名", "空间(Size<MB>)"};
		sheetMapSize.put("title", titleSize);
		sheetMapSize.put("sheetName", "数据占用空间");
		sheetMapSize.put("content", contentSize);
		sheetMapSize.put("dataCount", dataSizelist.size());
		sheetMapList.add(sheetMapSize);

		String indexSheetName = "粮库数据量统计";
		String fileName = indexSheetName + DateUtil.getCurrentDateTime16Str();

		try {
			fileName = new String(fileName.getBytes("UTF-8"), "ISO-8859-1");
			HSSFWorkbook wb = RegexExcelUtil.createMutiSheet(indexSheetName, "sheetName", "content", null, sheetMapList);
			response.setContentType("application/octet-stream;charset=utf-8");
			response.setHeader("Content-Disposition", "attachment;filename=" + fileName + ".xls");
			response.addHeader("Pargam", "no-cache");
			response.addHeader("Cache-Control", "no-cache");
			OutputStream outputStream = response.getOutputStream();
			wb.write(outputStream);
			wb.close();
			outputStream.flush();
			outputStream.close();
		} catch (Exception e) {
			 e.printStackTrace();
			log.info("regexShengduExcelV2导出异常");
		}
	}

}
