package com.unis.hlht.cjlksj.server.controller.haikang;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.hikvision.artemis.sdk.ArtemisHttpUtil;
import com.hikvision.artemis.sdk.config.ArtemisConfig;
//import com.hikvision.artemis.sdk.ArtemisHttpUtil;
//import com.hikvision.artemis.sdk.config.ArtemisConfig;
import com.unis.hlht.cjlksj.server.entity.HKSBXX;
import com.unis.hlht.cjlksj.server.entity.HKZZJG;
import com.unis.hlht.cjlksj.server.mapper.HKSBXXMapper;
import com.unis.hlht.cjlksj.server.mapper.HKZZJGMapper;
import com.unis.hlht.cjlksj.server.utils.MenuTreeUtil;
import com.unis.hlht.cjlksj.server.utils.RootResult;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;

@Log4j2
@SuppressWarnings("all")
@RestController
@Api(value = "hankang", description = "海康视频监控信息")
@RequestMapping("/service/hankang")
public class HaiKangController {

	@Autowired
	private HKZZJGMapper hkzzjgMapper;

	@Autowired
	private HKSBXXMapper hksbxxMapper;
	
	@ApiOperation(value = "组织机构信息推送", notes = "组织机构信息推送")
	@RequestMapping(value = "/zzjgPush", method = RequestMethod.POST)
	@ResponseBody
	public void zzjgPush() {
		RootResult<Object> r = new RootResult<Object>();
		try {
			Integer pageNo = 1;
			Integer pageSize = 1;
			Integer type = 1; // 获取区域信息

			String result = GetCameraPreviewURL(pageNo, pageSize, type);

			JSONObject jsonString = JSONObject.parseObject(result);

			JSONObject jsonData = jsonString.getJSONObject("data");

			Integer jsonTotal = jsonData.getInteger("total"); // 总条数

			System.out.println("总条数为----------" + jsonTotal + "----------------------");

			String resultData = GetCameraPreviewURL(1, 1000, type);
			// 将String转化为json数据
			JSONObject objData = JSONObject.parseObject(resultData);

			JSONObject jsonObjData = objData.getJSONObject("data");

			JSONArray arrayList = JSON.parseArray(jsonObjData.getString("list"));

			r.setData(arrayList);
			Iterator<Object> it = arrayList.iterator();
			while (it.hasNext()) {
				JSONObject obj = (JSONObject) it.next();
				HKZZJG hkzzjg = JSONObject.parseObject(obj.toString(), HKZZJG.class);
				String indexCode = hkzzjg.getIndexCode();
				hkzzjg.setID(indexCode);
				hkzzjgMapper.delete(indexCode);
				hkzzjgMapper.save(hkzzjg);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	@ApiOperation(value = "设备信息推送", notes = "设备信息推送")
	@RequestMapping(value = "/sbxxPush", method = RequestMethod.POST)
	@ResponseBody
	public void sbxxPush() {
		try {
			Integer pageNo = 1;
			Integer pageSize = 1;
			Integer type = 2; // 获取分页信息监控点信息

			String result = GetCameraPreviewURL(pageNo, pageSize, type);

			JSONObject jsonString = JSONObject.parseObject(result);

			JSONObject jsonData = jsonString.getJSONObject("data");

			Integer jsonTotal = jsonData.getInteger("total"); // 总条数

			System.out.println("总条数为----------" + jsonTotal + "----------------------");

			Integer pageCount = (int) Math.ceil(jsonTotal / 1000f);
			System.err.println("总页数为----------" + pageCount + "----------------------");
			String resultData = null;
			
			while (pageNo <= pageCount) {
				System.out.println("页数为----------" + pageNo + "----------------------");
				resultData = GetCameraPreviewURL(pageNo, 1000, type);
				saveSbxx(resultData);
				pageNo++;
			}
			
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	private void saveSbxx(String resultData) {
		// 将String转化为json数据
		JSONObject objData = JSONObject.parseObject(resultData);
		JSONObject jsonObjData = objData.getJSONObject("data");
		JSONArray arrayList = JSON.parseArray(jsonObjData.getString("list"));
		Iterator<Object> it = arrayList.iterator();
		while (it.hasNext()) {
			JSONObject obj = (JSONObject) it.next();
			HKSBXX hksbxx = JSONObject.parseObject(obj.toString(), HKSBXX.class);
			String cameraIndexCode = hksbxx.getCameraIndexCode();
			hksbxx.setID(cameraIndexCode);
			hksbxxMapper.delete(cameraIndexCode);
			hksbxxMapper.save(hksbxx);
		}
	}
	
	public String GetCameraPreviewURL(Integer pageNo, Integer pageSize, Integer type) {
		/**
		 * STEP1：设置平台参数，根据实际情况,设置host appkey appsecret 三个参数.
		 */
		// ArtemisConfig.host = "106.3.145.75:443"; // artemis网关服务器ip端口
		// ArtemisConfig.appKey = "28116466"; // 秘钥appkey 28116466
		// ArtemisConfig.appSecret = "W9zihM0hNRsnNic3zuKM";// 秘钥appSecret
		// W9zihM0hNRsnNic3zuKM

		//陕西
		ArtemisConfig.host = "192.168.11.101:443"; // artemis网关服务器ip端口
		ArtemisConfig.appKey = "21625125"; // 秘钥appkey
		ArtemisConfig.appSecret = "6ATtM86JibfyDrWkdgn9";// 秘钥appSecret

		// 政务外网
		/*
		 * ArtemisConfig.host = "192.168.7.101:443"; // artemis网关服务器ip端口
		 * ArtemisConfig.appKey = "22129988"; // 秘钥appkey 28116466
		 * ArtemisConfig.appSecret = "vHvyP8OJV5uLoApXMaGS";// 秘钥appSecret
		 * W9zihM0hNRsnNic3zuKM
		 */
		/**
		 * STEP2：设置OpenAPI接口的上下文
		 */
		final String ARTEMIS_PATH = "/artemis";

		String body = null;

		String contentType = null;

		Map path = new HashMap();

		if (type == 1) { // 获取区域列表
			/**
			 * STEP3：设置接口的URI地址
			 */
			final String previewURLsApi = ARTEMIS_PATH + "/api/irds/v2/region/nodesByParams"; // 获取区域列表
			path = new HashMap(2) {
				{
					put("https://", previewURLsApi);// 根据现场环境部署确认是http还是https
				}
			};

			/**
			 * STEP4：设置参数提交方式
			 */
			contentType = "application/json";

			/**
			 * STEP5：组装请求参数
			 */
			JSONObject jsonBody = new JSONObject();

			// 获取区域列表所要传的参数
			jsonBody.put("pageNo", pageNo);
			jsonBody.put("pageSize", pageSize);
			jsonBody.put("resourceType", "camera");
			jsonBody.put("cascadeFlag", 0);

			body = jsonBody.toJSONString();
		} else if (type == 2) {

			/**
			 * STEP3：设置接口的URI地址
			 */
			final String previewURLsApi = ARTEMIS_PATH + "/api/resource/v1/cameras"; // 获取分页监控点资源
			path = new HashMap(2) {
				{
					put("https://", previewURLsApi);// 根据现场环境部署确认是http还是https
				}
			};

			/**
			 * STEP4：设置参数提交方式
			 */
			contentType = "application/json";

			/**
			 * STEP5：组装请求参数
			 */
			JSONObject jsonBody = new JSONObject();

			// 获取分页监控点资源参数
			jsonBody.put("pageNo", pageNo);
			jsonBody.put("pageSize", pageSize);

			body = jsonBody.toJSONString();
		} else {

			/**
			 * STEP3：设置接口的URI地址
			 */
			// final String previewURLsApi = ARTEMIS_PATH + "/api/nms/v1/online/camera/get";
			// // 获取分页监控点资源
			// path = new HashMap(2) {
			// {
			// put("https://", previewURLsApi);// 根据现场环境部署确认是http还是https
			// }
			// };
			//
			// /**
			// * STEP4：设置参数提交方式
			// */
			// contentType = "application/json";
			//
			// /**
			// * STEP5：组装请求参数
			// */
			// JSONObject jsonBody = new JSONObject();
			//
			// // 获取分页监控点资源参数
			//
			// jsonBody.put("pageNo", pageNo);
			// jsonBody.put("pageSize", pageSize);
			// jsonBody.put("indexCodes", "[" + indexCodes + "]");
			// body = jsonBody.toJSONString().replace("\"[", "[\"").replace("]\"", "\"]");

		}

		/**
		 * STEP6：调用接口
		 */
		String result = ArtemisHttpUtil.doPostStringArtemis(path, body, null, null, contentType, null);// post请求application/json类型参数
		return result;
	}
	

//	public String GetCameraPreviewURL(Integer pageNo, Integer pageSize, Integer type) {
//		/**
//		 * STEP1：设置平台参数，根据实际情况,设置host appkey appsecret 三个参数.
//		 */
//		// ArtemisConfig.host = "106.3.145.75:443"; // artemis网关服务器ip端口
//		// ArtemisConfig.appKey = "28116466"; // 秘钥appkey 28116466
//		// ArtemisConfig.appSecret = "W9zihM0hNRsnNic3zuKM";// 秘钥appSecret
//		// W9zihM0hNRsnNic3zuKM
//
//		//陕西
//		ArtemisConfig.host = "192.168.11.101:443"; // artemis网关服务器ip端口
//		ArtemisConfig.appKey = "21625125"; // 秘钥appkey
//		ArtemisConfig.appSecret = "6ATtM86JibfyDrWkdgn9";// 秘钥appSecret
//
//		// 政务外网
//		/*
//		 * ArtemisConfig.host = "192.168.7.101:443"; // artemis网关服务器ip端口
//		 * ArtemisConfig.appKey = "22129988"; // 秘钥appkey 28116466
//		 * ArtemisConfig.appSecret = "vHvyP8OJV5uLoApXMaGS";// 秘钥appSecret
//		 * W9zihM0hNRsnNic3zuKM
//		 */
//		/**
//		 * STEP2：设置OpenAPI接口的上下文
//		 */
//		final String ARTEMIS_PATH = "/artemis";
//
//		String body = null;
//
//		String contentType = null;
//
//		Map path = new HashMap();
//
//		if (type == 1) { // 获取区域列表
//			/**
//			 * STEP3：设置接口的URI地址
//			 */
//			final String previewURLsApi = ARTEMIS_PATH + "/api/irds/v2/region/nodesByParams"; // 获取区域列表
//			path = new HashMap(2) {
//				{
//					put("https://", previewURLsApi);// 根据现场环境部署确认是http还是https
//				}
//			};
//
//			/**
//			 * STEP4：设置参数提交方式
//			 */
//			contentType = "application/json";
//
//			/**
//			 * STEP5：组装请求参数
//			 */
//			JSONObject jsonBody = new JSONObject();
//
//			// 获取区域列表所要传的参数
//			jsonBody.put("pageNo", pageNo);
//			jsonBody.put("pageSize", pageSize);
//			jsonBody.put("resourceType", "camera");
//			jsonBody.put("cascadeFlag", 0);
//
//			body = jsonBody.toJSONString();
//		} else if (type == 2) {
//
//			/**
//			 * STEP3：设置接口的URI地址
//			 */
//			final String previewURLsApi = ARTEMIS_PATH + "/api/resource/v1/cameras"; // 获取分页监控点资源
//			path = new HashMap(2) {
//				{
//					put("https://", previewURLsApi);// 根据现场环境部署确认是http还是https
//				}
//			};
//
//			/**
//			 * STEP4：设置参数提交方式
//			 */
//			contentType = "application/json";
//
//			/**
//			 * STEP5：组装请求参数
//			 */
//			JSONObject jsonBody = new JSONObject();
//
//			// 获取分页监控点资源参数
//			jsonBody.put("pageNo", pageNo);
//			jsonBody.put("pageSize", pageSize);
//
//			body = jsonBody.toJSONString();
//		} else {
//
//			/**
//			 * STEP3：设置接口的URI地址
//			 */
//			// final String previewURLsApi = ARTEMIS_PATH + "/api/nms/v1/online/camera/get";
//			// // 获取分页监控点资源
//			// path = new HashMap(2) {
//			// {
//			// put("https://", previewURLsApi);// 根据现场环境部署确认是http还是https
//			// }
//			// };
//			//
//			// /**
//			// * STEP4：设置参数提交方式
//			// */
//			// contentType = "application/json";
//			//
//			// /**
//			// * STEP5：组装请求参数
//			// */
//			// JSONObject jsonBody = new JSONObject();
//			//
//			// // 获取分页监控点资源参数
//			//
//			// jsonBody.put("pageNo", pageNo);
//			// jsonBody.put("pageSize", pageSize);
//			// jsonBody.put("indexCodes", "[" + indexCodes + "]");
//			// body = jsonBody.toJSONString().replace("\"[", "[\"").replace("]\"", "\"]");
//
//		}
//
//		/**
//		 * STEP6：调用接口
//		 */
//		String result = ArtemisHttpUtil.doPostStringArtemis(path, body, null, null, contentType, null);// post请求application/json类型参数
//		return result;
//	}

//	@ApiOperation(value = "设备信息推送", notes = "设备信息推送")
//	@RequestMapping(value = "/sbxxPush", method = RequestMethod.POST)
//	@ResponseBody
//	@Scheduled(cron = "0 10 21 ? * *")               废弃  -- 已CompleteScheduleConfig统一管理
//	public void sbxxPush() {
//		RootResult<Object> r = new RootResult<Object>();
//		try {
//			Integer pageNo = 1;
//			Integer pageSize = 1;
//			Integer type = 2; // 获取分页信息监控点信息
//
//			String result = GetCameraPreviewURL(pageNo, pageSize, type);
//
//			JSONObject jsonString = JSONObject.parseObject(result);
//
//			JSONObject jsonData = jsonString.getJSONObject("data");
//
//			Integer jsonTotal = jsonData.getInteger("total"); // 总条数
//
//			System.out.println("总条数为----------" + jsonTotal + "----------------------");
//
//			Integer pageCount = (int) Math.ceil(jsonTotal / 1000f);
//			System.err.println("总页数为----------" + pageCount + "----------------------");
//			String resultData = null;
//			
//			while (pageNo <= pageCount) {
//				System.out.println("页数为----------" + pageNo + "----------------------");
//				resultData = GetCameraPreviewURL(pageNo, 1000, type);
//				saveSbxx(resultData);
//				pageNo++;
//			}
//			
//		} catch (Exception e) {
//			e.printStackTrace();
//		}
//
////		return r;
//	}
//	public static void main(String[] args) {
//		float a = 3121/1000f;
//		System.out.println(Math.ceil(3121/1000f));
//	}
//	private void saveSbxx(String resultData) {
//		// 将String转化为json数据
//		JSONObject objData = JSONObject.parseObject(resultData);
//		JSONObject jsonObjData = objData.getJSONObject("data");
//		JSONArray arrayList = JSON.parseArray(jsonObjData.getString("list"));
//		Iterator<Object> it = arrayList.iterator();
//		while (it.hasNext()) {
//			JSONObject obj = (JSONObject) it.next();
//			HKSBXX hksbxx = JSONObject.parseObject(obj.toString(), HKSBXX.class);
//			String cameraIndexCode = hksbxx.getCameraIndexCode();
//			hksbxx.setID(cameraIndexCode);
//			hksbxxMapper.delete(cameraIndexCode);
//			int insert = hksbxxMapper.save(hksbxx);
//		}
//	}
//	@ApiOperation(value = "组织机构信息推送", notes = "组织机构信息推送")
//	@RequestMapping(value = "/zzjgPush", method = RequestMethod.POST)
//	@ResponseBody
//	@Scheduled(cron = "0 10 21 ? * *")             废弃  -- 已CompleteScheduleConfig统一管理
//	public void zzjgPush() {
//		RootResult<Object> r = new RootResult<Object>();
//		try {
//			Integer pageNo = 1;
//			Integer pageSize = 1;
//			Integer type = 1; // 获取区域信息
//
//			String result = GetCameraPreviewURL(pageNo, pageSize, type);
//
//			JSONObject jsonString = JSONObject.parseObject(result);
//
//			JSONObject jsonData = jsonString.getJSONObject("data");
//
//			Integer jsonTotal = jsonData.getInteger("total"); // 总条数
//
//			System.out.println("总条数为----------" + jsonTotal + "----------------------");
//
//			String resultData = GetCameraPreviewURL(1, 1000, type);
//			// 将String转化为json数据
//			JSONObject objData = JSONObject.parseObject(resultData);
//
//			JSONObject jsonObjData = objData.getJSONObject("data");
//
//			JSONArray arrayList = JSON.parseArray(jsonObjData.getString("list"));
//
//			r.setData(arrayList);
//			Iterator<Object> it = arrayList.iterator();
//			while (it.hasNext()) {
//				JSONObject obj = (JSONObject) it.next();
//				HKZZJG hkzzjg = JSONObject.parseObject(obj.toString(), HKZZJG.class);
//				String indexCode = hkzzjg.getIndexCode();
//				hkzzjg.setID(indexCode);
//				hkzzjgMapper.delete(indexCode);
//				
//				int insert = hkzzjgMapper.save(hkzzjg);
//			}
//		} catch (Exception e) {
//			r.error("500", "推送信息异常");
//			e.printStackTrace();
//		}
////		return r;
//	}

	@ApiOperation(value = "组织信息查询", notes = "组织信息查询")
	@RequestMapping(value = "/zzjgList", method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> zzjgList() {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<HKZZJG> selectAll = hkzzjgMapper.findAll();
			r.setData(selectAll);
			r.setCode("200");
			r.setInfoCode("200");
		} catch (Exception e) {
			r.error("500", "推送信息异常");
			e.printStackTrace();
		}
		return r;
	}	
	
	@ApiOperation(value = "组织信息查询", notes = "组织信息查询")
	@RequestMapping(value = "/findZzjgListByName", method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> zzjgList(@RequestBody HKZZJG jg) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<HKZZJG> selectAll = hkzzjgMapper.findAllByName(jg.getName());
			r.setData(selectAll);
			r.setCode("200");
			r.setInfoCode("200");
		} catch (Exception e) {
			r.error("500", "推送信息异常");
			e.printStackTrace();
		}
		return r;
	}	
	
	@ApiOperation(value = "设备信息查询", notes = "设备信息查询")
	@RequestMapping(value = "/sbxxList", method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> sbxxList(@RequestBody HKSBXX obj) {
		RootResult<Object> r = new RootResult<Object>();
		try {
			List<HKSBXX> selectAll = hksbxxMapper.findAll(obj.getRegionIndexCode());
			r.setCode("200");
			r.setInfoCode("200");
			r.setData(selectAll);
		} catch (Exception e) {
			r.error("500", "推送信息异常");
			e.printStackTrace();
		}
		return r;
	}
	
	@ApiOperation(value = "海康监控组织机构树", notes = "海康监控组织机构树")
	@RequestMapping(value = "/findZzjgBySbxxList", method = RequestMethod.POST)
	@ResponseBody
	public RootResult<Object> findZzjgBySbxxList() {
		RootResult<Object> r = new RootResult<Object>();
		try {			
			MenuTreeUtil menuTree = new MenuTreeUtil();
			List<Object> menuList = menuTree.menuList(hkzzjgMapper.findAll(), "root000000");
			r.setData(menuList);
			r.setCode("200");
			r.setInfoCode("200");
		} catch (Exception e) {
			r.error("500", "海康监控组织机构树查询异常");
			e.printStackTrace();
		}
		return r;
	}
		
}
