package com.unis.hlht.cjlksj.server.controller.heartmonitor;

import com.unis.hlht.cjlksj.server.utils.ResultWrapper;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能描述: 供粮库进行心跳监测，以确定是否和省级平台联通
 *
 * @Auther: 蒋青茂
 * @Date: 2019-3-19 10:30
 */
@SuppressWarnings("all")
@Log4j2
@RestController
public class HeartMonitorController {

    @ApiOperation("供粮库进行心跳监测，以确定是否和省级平台联通")
    @PostMapping(value = "/service/heartMonitor")
    public ResultWrapper heartMonitor() {
        try {
            return ResultWrapper.success();
        } catch (Exception e) {
            log.error(e);
            return ResultWrapper.error();
        }
    }

}
