package com.unis.hlht.cjlksj.server.controller.upload;

import com.unis.hlht.cjlksj.server.dto.upload.UploadDTO;
import com.unis.hlht.cjlksj.server.server.DataUpLoadServer;
import com.unis.hlht.cjlksj.server.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能描述: 粮库数据上传通道controller层
 *
 * @Auther: 蒋青茂
 * @Date: 2019-3-19 10:30
 */
@SuppressWarnings("all")
@Log4j2
@RestController
@Api(value = "upload controller", description = "上传接口控制层")
public class UpLoadController {

    @Autowired
    private DataUpLoadServer dataUpLoadServer;

    /**
     * @粮库数据上传通道
     * @param：[dto]
     * @rerurn：Result
     * @author：蒋青茂
     * @date2019-3-19
     */
    @ApiOperation("粮库数据上报通道")
    @PostMapping(value = "/service/API/CJCURE/DateUpload")
    public ResponseWrapper upload(@RequestBody UploadDTO dto) {
        try {
            return dataUpLoadServer.uploadData(dto);
        } catch (Exception e) {
            log.error(e);
            return ResponseWrapper.error(dto, e.getMessage());
        }
    }

}
