package com.unis.hlht.cjlksj.server.datagrabtest;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URL;

public class HttpHelp {

	/**
	 * 
	 * @param URL
	 * @param paramsStr example:	key1=value1&key2=value2
	 * @return
	 */
	public static String post(String URL, String paramsStr) {
		HttpURLConnection conn = null;
		InputStream is = null;
		BufferedReader br = null;
		StringBuilder result = new StringBuilder();
		try {
			// 创建远程url连接对象
			URL url = new URL(URL);
			// 通过远程url连接对象打开一个连接，强转成HTTPURLConnection类
			conn = (HttpURLConnection) url.openConnection();
			conn.setRequestMethod("POST");
			conn.setDoOutput(true);
			
			//设置连接超时时间和读取超时时间
			conn.setConnectTimeout(15000);
			conn.setReadTimeout(60000);
			conn.setRequestProperty("Accept", "application/json");

			//入參
			OutputStreamWriter writer = new OutputStreamWriter(conn.getOutputStream());
			writer.write(paramsStr);
			writer.flush();
			
			//发送请求
			conn.connect();
			
			// 通过conn取得输入流，并使用Reader读取
			if (200 == conn.getResponseCode()) {
				is = conn.getInputStream();
				br = new BufferedReader(new InputStreamReader(is, "UTF-8"));
				String line;
				while ((line = br.readLine()) != null) {
					result.append(line);
//					System.out.println(line);
				}
			} else {
				System.out.println("ResponseCode is an error code:" + conn.getResponseCode());
			}
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			try {
				if (br != null) {
					br.close();
				}
				if (is != null) {
					is.close();
				}
			} catch (IOException ioe) {
				ioe.printStackTrace();
			}
			conn.disconnect();
		}
		return result.toString();
	}

	public static void main(String[] args) throws Exception {
		post("http://localhost:8080", "key1=value1&key2=value2");
	}

}