package com.unis.hlht.cjlksj.server.dto.upload;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @description:粮库数据上传数据接收对象
 * @author:马伟栋
 * @version:v1.0
 * @create:2019/04/12-11:13
 **/
@Data
@SuppressWarnings("all")
public class UploadQueryDTO {

    /**
     * 报文标识ID(不可空)
     */
    @JsonProperty("ID")
    private String id;

    /**
     * 报文版本号(不可空)
     */
    @JsonProperty("VER")
    private String ver;

    /**
     * 发送命令的单位编码
     */
    @JsonProperty("OrgNo")
    private String orgNo;

    /**
     * 发送命令的单位名称
     */
    @JsonProperty("OrgName")
    private String orgName;

    /**
     * 命令发起时间(长日期格式精确到毫秒)
     */
    @JsonProperty("SendTime")
    private String sendTime;

    /**
     * 命令数据主体内容(DES加密算法，交换双方约定秘钥。秘钥进行定期更新)
     */
    @JsonProperty("Body")
    private String body;
    
    
    /**
     * 命令发起时间(长日期格式精确到毫秒)
     */
    @JsonProperty("beginTime")
    private String beginTime;
    
    /**
     * 命令发起时间(长日期格式精确到毫秒)
     */
    @JsonProperty("endTime")
    private String endTime;

	public Integer pageNo;

	public Integer pageSize;

}
