package com.unis.hlht.cjlksj.server.mapper;

import com.unis.hlht.cjlksj.server.entity.LiangKuApiEntity;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 功能描述:
 *
 * @Auther: 蒋青茂
 * @Date: 2019-3-18 13:44
 */
@Repository
public interface DataStatisticsMapper {

	@Select("select b.table_name as tname, b.num_rows as rownums" + 
			"  from user_tables b" + 
			" where b.table_name in" + 
			"       ('DIM_HY_KQQKB', 'DIM_HY_CCQYJBXXQKB', 'DIM_HY_CFQKB', 'DIM_HY_AJQKB'," + 
			"        'DIM_HY_HWQKB', 'DIM_HY_YGQKB', 'DIM_HY_WJQKB', 'DIM_CRK_RKXX'," + 
			"        'DIM_CRK_RKJYXX', 'DIM_CRK_RKJSXX', 'DIM_CRK_CKXX', 'DIM_CRK_CKJSXX'," + 
			"        'DIM_CRK_DCXX', 'DIM_CRK_KCXX', 'DIM_HY_LSCC_YLSHXXB'," + 
			"        'DIM_CRK_XZZBDXX', 'T_LSCC_WSDJCXXB', 'DIM_HY_LSCC_CQJCXXB'," + 
			"        'DIM_HY_LSCC_QTJCXXB', 'DIM_HY_LSCC_TFZYXXB', 'DIM_HY_LSCC_XZZYXXB'," + 
			"        'DIM_HY_LHJHXX', 'DIM_HY_LHJHMXXX', 'DIM_HY_HTXXB'," + 
			"        'DIM_HY_LSCC_ZCZJMXB', 'DIM_HY_DWRYXXB', 'DIM_HY_XZJGJBXXQKB'," + 
			"        'DIM_HY_ZJJGJBXXQKB', 'DIM_HY_LSCC_LQJCXXB', 'DIM_HY_KHXXQKB'," + 
			"        'DIM_HYJGXXB', 'DIM_HY_CLXXQKB', 'DIM_HY_CRK_ZCXXB'," + 
			"        'DIM_HY_KXCL_XMFYXXB', 'DIM_HY_KXCL_XMGKXXB', 'DIM_HY_KXCL_XMRYXXB'," + 
			"        'DIM_HY_KXCL_XMYSXXB', 'DIM_HY_LSCC_AQSGXXB', 'DIM_HY_LSCC_NHJCXXB'," + 
			"        'DIM_HY_LSCC_SBGLXXB', 'DIM_HY_LSCC_SFAQYA', 'DIM_HY_LSCC_SLJCXXB'," + 
			"        'DIM_HY_LSCC_YPGLXXB', 'DIM_HY_LYLH_CBGMB', 'DIM_HY_LYLH_CHECKITEM'," + 
			"        'DIM_HY_LYLH_JHXDXXB', 'DIM_HY_LYLH_LHFYSHB', 'DIM_HY_LYLH_LHPFB'," + 
			"        'DIM_HY_LYLH_LHSQB', 'DIM_HY_LYLH_LHYSSQB', 'DIM_HY_LYLH_LHZXPFB'," + 
			"        'DIM_HY_LYLH_LHZXSQB', 'DIM_HY_LYLH_RESUKT', 'DIM_HY_WDXXB'," + 
			"        'DIM_HY_LYLH_REPORT', 'DIM_HY_JHXDXXB', 'DIM_HY_JHZXXXB'," + 
			"        'DIM_HY_SPJKXX', 'DIM_HY_LSCC_BGTZB')" + 
			"   and b.num_rows != 0" + 
			" order by b.num_rows")
	List<Map> selectDataCount();

	@Select("select segment_name tname,sum(bytes)/(1024*1024) as mbsize  from user_segments WHERE " + 
			" segment_name in ('DIM_HY_KQQKB', 'DIM_HY_CCQYJBXXQKB', 'DIM_HY_CFQKB', 'DIM_HY_AJQKB'," + 
			"        'DIM_HY_HWQKB', 'DIM_HY_YGQKB', 'DIM_HY_WJQKB', 'DIM_CRK_RKXX'," + 
			"        'DIM_CRK_RKJYXX', 'DIM_CRK_RKJSXX', 'DIM_CRK_CKXX', 'DIM_CRK_CKJSXX'," + 
			"        'DIM_CRK_DCXX', 'DIM_CRK_KCXX', 'DIM_HY_LSCC_YLSHXXB'," + 
			"        'DIM_CRK_XZZBDXX', 'T_LSCC_WSDJCXXB', 'DIM_HY_LSCC_CQJCXXB'," + 
			"        'DIM_HY_LSCC_QTJCXXB', 'DIM_HY_LSCC_TFZYXXB', 'DIM_HY_LSCC_XZZYXXB'," + 
			"        'DIM_HY_LHJHXX', 'DIM_HY_LHJHMXXX', 'DIM_HY_HTXXB'," + 
			"        'DIM_HY_LSCC_ZCZJMXB', 'DIM_HY_DWRYXXB', 'DIM_HY_XZJGJBXXQKB'," + 
			"        'DIM_HY_ZJJGJBXXQKB', 'DIM_HY_LSCC_LQJCXXB', 'DIM_HY_KHXXQKB'," + 
			"        'DIM_HYJGXXB', 'DIM_HY_CLXXQKB', 'DIM_HY_CRK_ZCXXB'," + 
			"        'DIM_HY_KXCL_XMFYXXB', 'DIM_HY_KXCL_XMGKXXB', 'DIM_HY_KXCL_XMRYXXB'," + 
			"        'DIM_HY_KXCL_XMYSXXB', 'DIM_HY_LSCC_AQSGXXB', 'DIM_HY_LSCC_NHJCXXB'," + 
			"        'DIM_HY_LSCC_SBGLXXB', 'DIM_HY_LSCC_SFAQYA', 'DIM_HY_LSCC_SLJCXXB'," + 
			"        'DIM_HY_LSCC_YPGLXXB', 'DIM_HY_LYLH_CBGMB', 'DIM_HY_LYLH_CHECKITEM'," + 
			"        'DIM_HY_LYLH_JHXDXXB', 'DIM_HY_LYLH_LHFYSHB', 'DIM_HY_LYLH_LHPFB'," + 
			"        'DIM_HY_LYLH_LHSQB', 'DIM_HY_LYLH_LHYSSQB', 'DIM_HY_LYLH_LHZXPFB'," + 
			"        'DIM_HY_LYLH_LHZXSQB', 'DIM_HY_LYLH_RESUKT', 'DIM_HY_WDXXB'," + 
			"        'DIM_HY_LYLH_REPORT', 'DIM_HY_JHXDXXB', 'DIM_HY_JHZXXXB'," + 
			"        'DIM_HY_SPJKXX', 'DIM_HY_LSCC_BGTZB') GROUP BY segment_name")
	List<Map> selectDataSize();


	// 同步
	@Update({"${sql}"})
	void syn(@Param("sql")String sql);
}
