package com.unis.hlht.cjlksj.server.mapper;

import com.unis.hlht.cjlksj.server.entity.LiangKuApiEntity;

import com.unis.hlht.cjlksj.server.mymapper.MyMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * 功能描述:
 *
 * @Auther: 蒋青茂
 * @Date: 2019-3-18 13:44
 */
public interface LiangKuApiMapper extends MyMapper<LiangKuApiEntity> {

	// XF 是否下发 T：是 F:否
	@Select("SELECT  ID,NAME,URL,dwdm FROM LIANGKU_API WHERE XF = 'T' AND IS_ONLINE= '1' AND TB = 1")
	List<LiangKuApiEntity> findAllByLiangKuApi();

	// 查询全部
	@Select("SELECT ID,NAME,URL,IS_ONLINE,CHECK_TIME FROM LIANGKU_API")
	List<LiangKuApiEntity> findAll();
	
	// 查询全部
	@Select("<script>"
			+ "SELECT ID,NAME,DWDM,URL,IS_ONLINE,BELONGTO,CHECK_TIME FROM LIANGKU_API "
			+ "where 1=1 "
			+ "<if test = 'name != null and name != \"\"'>"
			+ "and name like '%${name}%'"
			+ "</if>"
			+ "<if test = 'BELONGTO != null and BELONGTO != \"\"'>"
			+ "and BELONGTO like #{BELONGTO}"
			+ "</if>"
			+ "order by IS_ONLINE ASC,BELONGTO ASC,name ASC"
			+ "</script>")
	List<LiangKuApiEntity> findAll2(LiangKuApiEntity entity);

	// 修改心跳状态
	@Update("update LIANGKU_API SET IS_ONLINE = #{IS_ONLINE},XF=#{XF},CHECK_TIME = #{CHECK_TIME} WHERE ID = #{ID}")
	int updateIsOnlineById(@Param("IS_ONLINE") String IS_ONLINE,
			@Param("CHECK_TIME") String CHECK_TIME,
			@Param("ID") String ID,@Param("XF") String XF);
}
