package com.unis.hlht.cjlksj.server.mapper;

import com.unis.hlht.cjlksj.server.entity.RestCountEntity;
import com.unis.hlht.cjlksj.server.mymapper.MyMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
@Component
public interface RestCountEntityMapper extends MyMapper<RestCountEntity> {
    /**
     * TODO:  统计各个表上传的数据
     *
     * @param tbn       表名中文
     * @param tableFrom 数据库表名
     * @return
     * @author 李兵
     * @date 2019/5/8
     */
    @Select("<script>" +
            " SELECT '${tbn}' as tbn, '${tableFrom}' as tbf , " +
            " a.DWDM, max(a.TYSHXYDM) tyshxydm, COUNT(a.TYSHXYDM) AS SL, max(c.kdmc) qymc" +
            " FROM" +
            " ${tableFrom}" +
            " a RIGHT JOIN dim_hy_kqqkb c ON a.dwdm = c.dwdm GROUP BY a.DWDM " +
            "</script> ")
    List<RestCountEntity> getCount(@Param("tbn") String tbn, @Param("tableFrom") String tableFrom);

    @Select("<script>" +
    		" SELECT '${tbn}' as tbn, '${tableFrom}' as tbf , " +
    		" max(TYSHXYDM) tyshxydm, COUNT(${COLUMN_NAME}) AS SL , '${KDMC}' qymc" +
    		" FROM" +
    		" ${tableFrom}" +
    		" WHERE ${COLUMN_NAME} LIKE '${KDBM}%'  GROUP BY '${KDMC}'  order by TYSHXYDM " +
    		"</script> ")
    List<RestCountEntity> getCountV2_2(@Param("tbn") String tbn, @Param("tableFrom") String tableFrom,
			@Param("COLUMN_NAME") String COLUMN_NAME, @Param("KDBM") String KDBM, @Param("KDMC") String KDMC);
    @Select("<script>" +
    		" SELECT '${tbn}' as tbn, '${tableFrom}' as tbf , " +
    		" max(TYSHXYDM) tyshxydm, COUNT(${COLUMN_NAME}) AS SL, '${QYMC}' qymc" +
    		" FROM" +
    		" ${tableFrom}" +
    		" WHERE ${COLUMN_NAME} = #{TYSHXYDM} GROUP BY '${QYMC}' order by TYSHXYDM " +
    		"</script> ")
	List<RestCountEntity> getCountV2_1(@Param("tbn") String tbn, @Param("tableFrom") String tableFrom,
			@Param("COLUMN_NAME") String COLUMN_NAME, @Param("TYSHXYDM") String TYSHXYDM, @Param("QYMC") String QYMC);
  
    /**
     * TODO:  统计各个表上传的数据
     *
     * @param tbn       表名中文
     * @param tableFrom 数据库表名
     * @return
     * @author 李兵
     * @date 2019/5/8
     */
    @Select("<script>" +
    		" SELECT k.kdbm,k.tyshxydm,k.kdmc,(select max(qymc) from dim_hy_ccqyjbxxqkb where tyshxydm = k.tyshxydm) qymc  FROM DIM_HY_KQQKB  k"
    		+ " ORDER BY  k.kdbm" +
    		"</script> ")
    List<RestCountEntity> getAllKdxx();

    /**
     *
     * TODO: 统计结果存入表中
     * @param
     * @return
     * @author  李兵
     * @date  2019/5/9
     */
    @Insert("insert into SYS_REST_COUNT (\"id\",\"createTime\",\"tbn\",\"tbf\",\"dwdm\",\"tyshxydm\",\"sl\",\"qymc\") values (#{id},#{createTime},#{tbn},#{tbf},#{dwdm},#{tyshxydm},#{sl},#{qymc})")
	void saveRestCount(RestCountEntity po);

    /**
     *
     * TODO: 插入数据时先删除今日的数据
     * @param
     * @return
     * @author  李兵
     * @date  2019/5/9
     */
    @Delete("DELETE FROM SYS_REST_COUNT")
    void deleteByTime();

    /**
     *
     * TODO: 数据统计每个单位上传的总条数，总数据量
     * @param  
     * @return  
     * @author  李兵
     * @date  2019/5/9
     */ 
    @Select("select \"tbn\" 表名, max(\"sl\") 表数据量 from SYS_REST_COUNT where \"sl\" <> 0 and \"qymc\" = #{qymc} group by \"tbn\" order by \"qymc\"")
    List<Map> getRestSumDetail(@Param("qymc") String qymc);

    /**
     *
     * TODO: 数据统计每个单位上传的总条数，总数据量
     * @param
     * @return
     * @author  李兵
     * @date  2019/5/9
     */
    @Select("SELECT \"qymc\" 企业名称, max(\"tyshxydm\") 统一社会信用代码, count(\"qymc\") 上传表张数, sum(\"sl\") 上传数据总量 FROM SYS_REST_COUNT WHERE \"sl\" <> 0 GROUP BY \"qymc\" ")
    List<Map> getRestSum();


    @Delete({"<script>",
            " delete from ${tableFrom} where 1 = 1",
            " <if test='tyshxydm != null and tyshxydm != \"\"'>",
            " and tyshxydm = #{tyshxydm} ",
            " </if>",
            " <if test='dwdm != null and dwdm != \"\"'>",
            " and dwdm = #{dwdm} ",
            " </if>",
            " </script> "})
    void deleteByTyshxydmOrDwdm( @Param("tableFrom") String tableFrom,@Param("tyshxydm") String tyshxydm,@Param("dwdm") String dwdm);

    @Delete(" delete from ${tableFrom} where kdbm = #{tyshxydm} ")
    int deleteByTyshxydm( @Param("tableFrom") String tableFrom,@Param("tyshxydm") String tyshxydm,@Param("dwdm") String dwdm);

}
