package com.unis.hlht.cjlksj.server.server;

import com.unis.hlht.cjlksj.server.entity.RestCountEntity;
import com.unis.hlht.cjlksj.server.entity.TableCommentEntity;
import com.unis.hlht.cjlksj.server.mapper.RestCountEntityMapper;
import com.unis.hlht.cjlksj.server.mapper.TableCommentMapper;
import com.unis.hlht.cjlksj.server.utils.DateUtil;
import com.unis.hlht.cjlksj.server.utils.OrderID;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.UUID;

/***
 * @ClassName: RestCountEntityServer
 * @Description: TODO: 
 * @Auther: 李兵
 * @Date: 2019/5/8 20:26
 * @version : V1.0
 */
@Log4j2
@Service
public class RestCountServer {

    @Autowired
    private RestCountEntityMapper restCountEntityMapper;

    @Autowired
    private TableCommentMapper tableCommentMapper;

    /**
     * TODO: 获取统计数量
     *
     * @param
     * @return
     * @author 李兵
     * @date 2019/5/8
     */
    public List<List<RestCountEntity>> getCount() {
        List<TableCommentEntity> tableCommentEntities = tableCommentMapper.findAll();
        List<List<RestCountEntity>> res = new ArrayList(tableCommentEntities.size());
        for (TableCommentEntity tableCommentEntity : tableCommentEntities) {
            List<RestCountEntity> count = restCountEntityMapper.getCount(tableCommentEntity.getCOMMENTS().trim(), tableCommentEntity.getTABLE_NAME().trim());
            res.add(count);
        }
        return res;
    }
    
    /**
     * TODO: 获取统计数量全部
     *
     * @param
     * @return
     * @author 李兵
     * @date 2019/5/8
     */
    public List<List<RestCountEntity>> getAllCount() {
    	List<TableCommentEntity> tableCommentEntities = tableCommentMapper.findAllTable();
    	List<List<RestCountEntity>> res = new ArrayList(tableCommentEntities.size());
    	for (TableCommentEntity tableCommentEntity : tableCommentEntities) {
    		List<RestCountEntity> count = restCountEntityMapper.getCount(tableCommentEntity.getCOMMENTS().trim(), tableCommentEntity.getTABLE_NAME().trim());
    		res.add(count);
    	}
    	return res;
    }
    
    /**
     * TODO: 获取统计数量
     *
     * @param
     * @return
     * @author 李兵
     * @date 2019/5/8
     */
    public List<List<RestCountEntity>> getCountV2() {
    	List<RestCountEntity> kdList = restCountEntityMapper.getAllKdxx();
    	List<TableCommentEntity> tableCommentEntities = tableCommentMapper.findAll();
    	List<List<RestCountEntity>> res = new ArrayList(tableCommentEntities.size());
    	List<String> tyshxydmList = new ArrayList<>();
		for (RestCountEntity kd : kdList) {
			String tyshxydm = kd.getTyshxydm();
			String kdmc = kd.getKdmc();
			String kdbm = kd.getKdbm();
			String qymc = kd.getQymc();

			for (TableCommentEntity table : tableCommentEntities) {
				String column_NAME = table.getCOLUMN_NAME();
				if (table.getCOLUMN_TYPE().equals("1")) {
					List<RestCountEntity> count = restCountEntityMapper.getCountV2_1(table.getCOMMENTS().trim(),
							table.getTABLE_NAME().trim(), column_NAME, tyshxydm, qymc);
					res.add(count);
					if(!tyshxydmList.contains(tyshxydm)) {
						tyshxydmList.add(tyshxydm);
					}
				} 
				else if (table.getCOLUMN_TYPE().equals("2")) {
					List<RestCountEntity> count = restCountEntityMapper.getCountV2_2(table.getCOMMENTS().trim(),
							table.getTABLE_NAME().trim(), column_NAME, kdbm, qymc + "-" + kdmc);
					res.add(count);
				}
			}
		}
    	return res;
    }

    /**
     * TODO: 数据统计保存
     *
     * @param
     * @return
     * @author 李兵
     * @date 2019/5/8
     */
    public void saveCount(List<List<RestCountEntity>> list) {
        for (List<RestCountEntity> restCountEntities : list) {
            for (RestCountEntity restCountEntity : restCountEntities) {
                restCountEntity.setId(OrderID.get32());
                restCountEntity.setCreateTime(DateUtil.getDateTime2());
                restCountEntityMapper.saveRestCount(restCountEntity);
            }
        }
    }

    /**
     * TODO: 根据日期删除统计的数据
     *
     * @param
     * @return
     * @author 李兵
     * @date 2019/5/9
     */
    public void deleteByTime() {
        restCountEntityMapper.deleteByTime();
    }

    /**
     * TODO: 获取汇总的数据
     *
     * @param
     * @return
     * @author 李兵
     * @date 2019/5/9
     */
    public List<Map> getRestSum() {
        return restCountEntityMapper.getRestSum();
    }

    /**
     * TODO: 获取汇总的数据
     *
     * @param
     * @return
     * @author 李兵
     * @date 2019/5/9
     */
    public List<Map> getRestSumDetail(String qymc) {
        return restCountEntityMapper.getRestSumDetail(qymc);
    }

    
    public List<TableCommentEntity> getTableCommentMaps() {
    	List<TableCommentEntity> tableCommentEntities = tableCommentMapper.findAll();
    	return tableCommentEntities;
    }
    
    public List<TableCommentEntity> getTableCommentMapsAll() {
    	List<TableCommentEntity> tableCommentEntities = tableCommentMapper.findAllTable();
    	return tableCommentEntities;
    }
}
