package com.unis.hlht.cjlksj.server.server;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.hlht.cjlksj.server.dto.spjkxx.SPJKXXSxtDTO;
import com.unis.hlht.cjlksj.server.dto.spjkxx.SPJKXXTreeDTO;
import com.unis.hlht.cjlksj.server.entity.SPJKXXEntity;
import com.unis.hlht.cjlksj.server.mapper.SPJKXXMapper;
import com.unis.hlht.cjlksj.server.utils.PageUtils;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 功能描述: 视频监控信息列表serverice层
 *
 * @Auther: 蒋青茂
 * @Date: 2019-5-8 11:07
 */
@SuppressWarnings("all")
@Log4j2
@Service
public class SPJKXXServer {

    @Autowired
    private SPJKXXMapper spjkxxMapper;


    /**
     *
     *@描述  根据id查看详情
     *@param：[id]
     *@rerurn：  com.unis.hlht.cjlksj.server.entity.SPJKXXEntity
     *@author：蒋青茂
     *@date  2019-5-16
     */
    public SPJKXXEntity findById(String id) {

        SPJKXXEntity entity = spjkxxMapper.findById(id);
        return entity;
    }

    /**
     *
     *@描述  左侧树列表
     *@param：[page, size, kqmc]
     *@rerurn：  java.util.Map<java.lang.String,java.lang.Object>
     *@author：蒋青茂
     *@date  2019-5-17
     */
    public  Map<String, Object>  findLeftTree(Integer page, Integer size,String kqmc) {

        PageHelper.startPage(page, size);
        List<SPJKXXTreeDTO> list = spjkxxMapper.findLeftTree(kqmc);
//        List<SPJKXXTreeDTO> list1 = new ArrayList<>();
//        for (String dwdm :list) {
//            List<SPJKXXTreeDTO> byDwdm = spjkxxMapper.findNameByDwdm(dwdm);
//            list1.add(byDwdm.get(0));
//        }
        PageInfo<SPJKXXTreeDTO> pageInfo = new PageInfo<SPJKXXTreeDTO>(list);
        Map<String, Object> result = PageUtils.transToMap(pageInfo);
        return result;

    }

    /**
     *
     *@描述 根据 根据单位代码查询所有摄像头
     *@param：[dwdm]
     *@rerurn：  java.util.List<com.unis.hlht.cjlksj.server.dto.spjkxx.SPJKXXSxtDTO>
     *@author：蒋青茂
     *@date  2019-5-16
     */
    public List<SPJKXXSxtDTO>  findByDwdm(String dwdm) {
        List<SPJKXXSxtDTO> list = spjkxxMapper.findByDwdm(dwdm);
        return list;
    }


    public List<SPJKXXSxtDTO> findByDwdmTree(String kqmc, String dwdm, String tyshxydm) {
       //List<SPJKXXSxtDTO> list = spjkxxMapper.findByDwdmAndTyshxydm(dwdm,tyshxydm);
        List<SPJKXXSxtDTO> list = spjkxxMapper.findByDwdmTree(dwdm,tyshxydm);
        return list;
    }
}
