package com.unis.hlht.cjlksj.server.test2;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;

public class BianMaDemo2 {

	/**
	 * 將文件读取为二进制流
	 * 
	 * @param file
	 * @return
	 */
	public static byte[] getFileToByte(File file) {
		byte[] by = new byte[(int) file.length()];
		try {
			InputStream is = new FileInputStream(file);
			ByteArrayOutputStream bytestream = new ByteArrayOutputStream();
			byte[] bb = new byte[2048];
			int ch;
			ch = is.read(bb);
			while (ch != -1) {
				bytestream.write(bb, 0, ch);
				ch = is.read(bb);
			}
			by = bytestream.toByteArray();
		} catch (Exception ex) {
			ex.printStackTrace();
		}
		return by;
	}

	public static void main1(String[] args) throws IOException, FileNotFoundException {
		// 将UTF-8编码的文件读出，保存到编码为GBK的文件中,java中默认编码为GBK
		// 若读出时使用字节流"", );
		BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream("E:\\电脑壁纸\\111.jpg")));
		BufferedWriter wr = new BufferedWriter(
				new OutputStreamWriter(new FileOutputStream("E:\\电脑壁纸\\" + "TEST0516" + "111.jpg"), "UTF-8"));
		// 创建缓冲流，底层是字符输入流实现，字符输入流实现字节向字符的转换(字符输入流底层是字节输入流实现)
		// 对于字符流可以指定其编码格式

		/*
		 * 法一 使用BufferedReader的readLine()方法,一次读一行，不包括最后的换行符
		 */

		/*
		 * String line; while((line=br.readLine())!=null){
		 * wr.write(line,0,line.length()); wr.newLine(); }
		 */

		/*
		 * 法二 定义字节数组，一次读取一个数组，返回数组长度，写入时要用具体长度
		 */
		/*
		 * int len; char[] chs=new char[1024]; while((len=br.read(chs))!=-1){
		 * wr.write(chs,0,len); }
		 */

		/*
		 * 法三 定义int类型，一次读取一个字节，
		 */
		int ch;
		while ((ch = br.read()) != -1) {
			wr.write(ch);
		}

		br.close();// 释放资源
		wr.close();

		byte[] fileToByte = getFileToByte(new File("E:\\电脑壁纸\\" + "TEST0516" + "111.jpg"));
		System.out.println(fileToByte.toString());
	}

	
	public static void main(String[] args) {
		try {
			String byteStr = getByteStrByInputStream(new FileInputStream("E:\\电脑壁纸\\111.jpg"));
			System.out.println(byteStr);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}
	
	public static String getByteStrByInputStream(FileInputStream inputStream) {
		try {
			InputStreamReader inputStreamReader = new InputStreamReader(inputStream, "UTF-8");
			BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
			String s = null;
			StringBuilder builder = new StringBuilder();
			while ((s = bufferedReader.readLine()) != null) {
				builder.append(s);
			}
			bufferedReader.close();
			return builder.toString();
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}
}