package com.unis.hlht.cjlksj.server.test2;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;


/**
 * @author lidiaoquan
 * @version 1.0
 * @Title: ExcelUtil
 * @Description: excel导入导出工具类
 * @date 2020年3月5日 上午10:54:27
 */
public class ExcelUtilV2 {
	public static void main(String[] args) {
		List<List<String>> readExcel = readExcel("D:\\Project_DATA\\shanxixiangmu_mwd_ldq\\互联互通数据上传\\VPN对接参数\\2-6VPN汇总--LDQ.xlsx");
		for (List<String> list : readExcel) {
			String one = "";
			for (String string : list) {
				if(string.contains("159")) {
					String url = "http://"+string.trim()+":8080/Acquisition";
//					System.out.println(url.replace("\n", ":8080/Acquisition\nhttp://") );
//					System.out.println(url.replace("\n", ":8080/Acquisition\nhttp://") +"*****" +one);
					System.out.println(one);
				}else {
					one = string;
				}
			}
		}
	}
	
	public static List<List<String>> readExcel(String path){
        List<List<String>> list=new ArrayList<List<String>>();
        try {
            Workbook wb = null;
            InputStream is=null;
            try{
                is=new FileInputStream(path);
                //读取2007版Excel
                wb=new XSSFWorkbook(is);
            }catch(Exception e){
                //防止异常导致输入流关闭
//                is=new FileInputStream(path);
                //读取2003版Excel
            	e.printStackTrace();
                wb=new HSSFWorkbook(is);
            }
            for (int i = 0; i < wb.getNumberOfSheets(); i++) {
                //读取Sheet
                Sheet sheet=wb.getSheetAt(i);
                if(sheet==null){
                    continue;
                }
                //处理当前页，循环每一行
                for (int j = 0; j < sheet.getPhysicalNumberOfRows(); j++) {
                    //得到当前行
                    Row row=sheet.getRow(j);
                    //当前行第一个单元格
                    int minCells=row.getFirstCellNum();
                    //当前行最后一个单元格
                    int maxCells=row.getLastCellNum();
                    List<String> sl=new ArrayList<String>();
                    for (int k = minCells; k < maxCells; k++) {
                        //每一个单元格
                        Cell cell=row.getCell(k);
                        if(cell==null){
                            continue;
                        }
                        sl.add(cell.toString());
                    }
                    list.add(sl);
                }
            }
            if(is!=null){
                is.close();
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return list;
    }  
}
