package com.unis.hlht.cjlksj.server.utils;

import lombok.Data;

import java.io.Serializable;

/**
 * 功能描述: 解析粮库上传数据后反馈实体类
 *
 * @Auther: 蒋青茂
 * @Date: 2019-3-19 10:09
 */
@Data
@SuppressWarnings("all")
public class Result implements Serializable {

    private static final String SUCCESS_CODE = "200";
    private static final String ERROR_CODE = "500";
    //反馈码
    private String code;
    //反馈码2
    private String infoCode;
    //反馈信息
    private String result;


    public Result() {
    }

    public Result(String code) {
        this.code = code;
    }

    public Result(String code, String result) {
        this.code = code;
        this.result = result;
    }

    public static Result success(String code, String msg) {
        return new Result(code, msg);
    }

    public static Result error(String code, String msg) {
        return new Result(code, msg);
    }

    public static Result error() {
        return new Result("500", "数据处理错误");
    }

    public static Result success() {
        return new Result("200", "数据处理成功");
    }
    
    
}
