
create table TABLE_COMMENT_MAP
(
  id         NUMBER(9),
  table_name VARCHAR2(64), --表名
  comments   VARCHAR2(64), --表备注
  is_exist   VARCHAR2(1) default 1  --此表是否存在 1存在 0不存在
);

insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (1, 'DIM_HY_DWRYXXB', '基础数据-人员信息数据元', '1');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (2, 'DIM_HY_CLXXQKB', '基础数据-车辆信息数据元', '0');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (3, 'DIM_HY_CCQYJBXXQKB', '基础数据-仓储企业信息数据元', '1');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (4, 'DIM_HY_LSCC_SLJCXXB', '基础数据-数量检测数据元', '0');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (5, 'DIM_HY_CFQKB', '业务基础数据-仓房信息数据元', '1');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (6, 'DIM_HYJGXXB', '业务基础数据-价格信息数据元', '0');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (7, 'DIM_HY_AJQKB', '业务基础数据-厫间信息数据元', '1');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (8, 'DIM_HY_HWQKB', '业务基础数据-货位信息数据元', '1');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (9, 'DIM_HY_YGQKB', '业务基础数据-油罐信息数据元', '1');
insert into TABLE_COMMENT_MAP (ID, TABLE_NAME, COMMENTS, IS_EXIST)
values (10, 'DIM_HY_KHXXQKB', '业务基础数据-客户信息数据元', '1');
commit;

create table SYS_REST_COUNT
(
  "id"         VARCHAR2(64) not null,
  "createTime" VARCHAR2(68),
  "tbn"        VARCHAR2(255),
  "tbf"        VARCHAR2(255),
  "dwdm"       VARCHAR2(255),
  "tyshxydm"   VARCHAR2(255),
  "sl"         VARCHAR2(255),
  "qymc"       VARCHAR2(255)
);
-- Add comments to the columns 
comment on column SYS_REST_COUNT."id"
  is '主键';
comment on column SYS_REST_COUNT."createTime"
  is '创建时间';
comment on column SYS_REST_COUNT."tbn"
  is '中文表名';
comment on column SYS_REST_COUNT."tbf"
  is '数据库表名';
comment on column SYS_REST_COUNT."dwdm"
  is '单位代码';
comment on column SYS_REST_COUNT."tyshxydm"
  is '统一社会信用代码';
comment on column SYS_REST_COUNT."sl"
  is '数量';
comment on column SYS_REST_COUNT."qymc"
  is '企业名称';
  
create table LIANGKU_API
(
  id          VARCHAR2(100),
  name        VARCHAR2(200),
  url         VARCHAR2(200),
  create_time DATE,
  update_time DATE,
  xf          VARCHAR2(5)
);
comment on column LIANGKU_API.name
  is '库点名称';
comment on column LIANGKU_API.url
  is '指令下发路径';
comment on column LIANGKU_API.xf
  is '是否下发：T-是 F-否';

 
 
--接口表
--建表
create table DIM_HY_CCQYJBXXQKB (id varchar2(32),TYSHXYDM VARCHAR2(18) not null,QYMC VARCHAR2(128) not null,QYLX VARCHAR2(2) not null,jd NUMBER(10,6) not null,wd NUMBER(10,6) not null,DWDM VARCHAR2(11) not null,lsgx VARCHAR2(1) not null,KDYXCR NUMBER(20,3) not null,CFS NUMBER(10,0) not null,YZKQS NUMBER(10,0) not null,YGS NUMBER(10,0) not null,YXGR NUMBER(10,3) not null,XZQHMC VARCHAR2(200) not null,XZQHDM VARCHAR2(6) not null,QYJJLX VARCHAR2(50),QYXZ VARCHAR2(1) not null,DJZCLX VARCHAR2(2),GSDJZCH VARCHAR2(20),ZYDCZG VARCHAR2(1),SDCZG VARCHAR2(1),SJDCZG VARCHAR2(1),XDCZG VARCHAR2(1),QYDZYX VARCHAR2(50),QYWZ VARCHAR2(128),KHYH VARCHAR2(128),YHZH VARCHAR2(32),YHXYDJ VARCHAR2(32),GDZC NUMBER(16,0) not null,ZCZB NUMBER(18,6) not null,zcsj VARCHAR2(19) not null,ZCZE NUMBER(18,6) not null,FDDBR VARCHAR2(50) not null,SFZH VARCHAR2(18) not null,FRSJH VARCHAR2(50) not null,QYLXR VARCHAR2(50) not null,BGDH VARCHAR2(50),yydz VARCHAR2(256),czhm VARCHAR2(32),yzbm VARCHAR2(6),QYLXRDH VARCHAR2(20),QYCYRYS NUMBER(15,0) not null,BGYRS NUMBER(15,0) not null,JHYYRS NUMBER(15,0) not null,DZYSXLRS NUMBER(15,0) not null,YZYZGZSRS NUMBER(15,0) not null,ZJYSZCRS NUMBER(15,0) not null,ZYYW VARCHAR2(1) not null,JYFW VARCHAR2(2048) not null,KQS NUMBER(10,0) not null,LSKQS NUMBER(10,0) not null,YWZT VARCHAR2(2),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32));
--备注
comment on column DIM_HY_CCQYJBXXQKB.TYSHXYDM is '统一社会信用代码采用18位统一社会信用代码，必须是阿拉伯数字和大写英文字母组合而成的18位，不可空，相同的统一社会信用代码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_CCQYJBXXQKB.QYMC is '企业名称';
comment on column DIM_HY_CCQYJBXXQKB.QYLX is '企业类型1:粮食仓储企业
11:中央直属储备粮库
12:中谷粮油集团
13:省级储备粮库
14:地市级储备粮库
15:县级储备粮库
19:其他仓储企业
2:粮食购销企业
3:粮食加工企业
4:粮食设备制造企业
9:其他粮食企业';
comment on column DIM_HY_CCQYJBXXQKB.jd is '经度';
comment on column DIM_HY_CCQYJBXXQKB.wd is '纬度';
comment on column DIM_HY_CCQYJBXXQKB.DWDM is '单位代码表3.3-1';
comment on column DIM_HY_CCQYJBXXQKB.lsgx is '隶属关系1:中央企业
2:地方企业
9:其他企业';
comment on column DIM_HY_CCQYJBXXQKB.KDYXCR is '有效仓容单位：吨';
comment on column DIM_HY_CCQYJBXXQKB.CFS is '仓房数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.YZKQS is '油脂库区数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.YGS is '油罐数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.YXGR is '有效罐容默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.XZQHMC is '行政区划';
comment on column DIM_HY_CCQYJBXXQKB.XZQHDM is '行政区划代码参照：GB_T2260-2017年区划代码，6位阿拉伯数字组成';
comment on column DIM_HY_CCQYJBXXQKB.QYJJLX is '企业经济类型GB/T12402经济类型分类编码';
comment on column DIM_HY_CCQYJBXXQKB.QYXZ is '企业性质1:行政机关
2:事业单位
3:参公管理事业单位
4:国有及国有控股企业
5:内资非国有企业
6:私营企业
7:港澳台及外商企业
8：个体工商户
9:其他
引用LS/T 1802-2016的表A.1';
comment on column DIM_HY_CCQYJBXXQKB.DJZCLX is '登记注册类型LST1802-2016登记注册类型代码表';
comment on column DIM_HY_CCQYJBXXQKB.GSDJZCH is '工商登记注册号';
comment on column DIM_HY_CCQYJBXXQKB.ZYDCZG is '中央代储资格1:是
0:否
9:其他或不确定';
comment on column DIM_HY_CCQYJBXXQKB.SDCZG is '省代储资格1:是
0:否
9:其他或不确定';
comment on column DIM_HY_CCQYJBXXQKB.SJDCZG is '市代储资格1:是
0:否
9:其他或不确定';
comment on column DIM_HY_CCQYJBXXQKB.XDCZG is '县代储资格1:是
0:否
9:其他或不确定';
comment on column DIM_HY_CCQYJBXXQKB.QYDZYX is '企业邮箱';
comment on column DIM_HY_CCQYJBXXQKB.QYWZ is '企业网址';
comment on column DIM_HY_CCQYJBXXQKB.KHYH is '开户银行';
comment on column DIM_HY_CCQYJBXXQKB.YHZH is '银行账号';
comment on column DIM_HY_CCQYJBXXQKB.YHXYDJ is '银行信用等级';
comment on column DIM_HY_CCQYJBXXQKB.GDZC is '固定资产单位：万元 默认值0';
comment on column DIM_HY_CCQYJBXXQKB.ZCZB is '注册资本单位：万元 默认值-1';
comment on column DIM_HY_CCQYJBXXQKB.zcsj is '注册时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_CCQYJBXXQKB.ZCZE is '资产总额单位：万元 默认值-1';
comment on column DIM_HY_CCQYJBXXQKB.FDDBR is '法定代表人';
comment on column DIM_HY_CCQYJBXXQKB.SFZH is '身份证号';
comment on column DIM_HY_CCQYJBXXQKB.FRSJH is '法人联系方式11位标准手机号码';
comment on column DIM_HY_CCQYJBXXQKB.QYLXR is '企业联系人';
comment on column DIM_HY_CCQYJBXXQKB.BGDH is '办公电话';
comment on column DIM_HY_CCQYJBXXQKB.yydz is '注册地址';
comment on column DIM_HY_CCQYJBXXQKB.czhm is '传真号码';
comment on column DIM_HY_CCQYJBXXQKB.yzbm is '邮政编码';
comment on column DIM_HY_CCQYJBXXQKB.QYLXRDH is '企业联系人电话';
comment on column DIM_HY_CCQYJBXXQKB.QYCYRYS is '从业人员数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.BGYRS is '保管员人数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.JHYYRS is '检化验员人数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.DZYSXLRS is '大专学历以上人数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.YZYZGZSRS is '有职业资格证书人数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.ZJYSZCRS is '中级以上职称人数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.ZYYW is '主营业务1：加工
2：储备
3：收纳
4：中转
5：特殊
9：其他';
comment on column DIM_HY_CCQYJBXXQKB.JYFW is '经营范围 ';
comment on column DIM_HY_CCQYJBXXQKB.KQS is '库区数默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.LSKQS is '粮食库区数 默认值：-1';
comment on column DIM_HY_CCQYJBXXQKB.YWZT is '业务状态01：未提交
02：备案待受理
03：已备案
04：变更待受理
05：已变更
06：停业待受理
07：已停业
08：备案审核不通过 09：变更审核不通过 10：停业审核不通过 11：其他';
comment on column DIM_HY_CCQYJBXXQKB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CCQYJBXXQKB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';

--建表
create table DIM_HY_KQQKB (id varchar2(32),TYSHXYDM VARCHAR2(18) not null,DWDM VARCHAR2(11) not null,KDBM VARCHAR2(21) not null,KDMC VARCHAR2(128) not null,KDJC VARCHAR2(128),KDQYXZ VARCHAR2(2),KSRQ VARCHAR2(20),KDLB VARCHAR2(20),KDJSCR NUMBER(18,0) not null,KDYXCR NUMBER(20,3) not null,CFS NUMBER(10,0) not null,YZKQS NUMBER(10,0) not null,YGS NUMBER(10,0) not null,YXGR NUMBER(20,3) not null,KDMJ NUMBER(12,4) not null,KDDH VARCHAR2(30),KDZD VARCHAR2(128) not null,KDCZ VARCHAR2(30),KDYB VARCHAR2(6) not null,KDJD NUMBER(10,6) not null,KDWD NUMBER(10,6) not null,KDXZQHMC VARCHAR2(32) not null,KDXZQHDM VARCHAR2(6) not null,QYCYRYS NUMBER(15,0) not null,BGYRS NUMBER(15,0) not null,JHYYRS NUMBER(15,0) not null,BLSB_HGSB_SBSL NUMBER(8,0) not null,BLSB_HGSB_HGNL NUMBER(10,0) not null,BLSB_HGSB_NSJHGLSSL NUMBER(10,0) not null,BLSB_ZBHLXZXTCRL NUMBER(10,0) not null,BLSB_SXJXTFCRL NUMBER(10,0) not null,BLSB_GQLQJ NUMBER(8,0) not null,BLSB_TFJ NUMBER(8,0) not null,JCCSB_SSJ NUMBER(8,0) not null,JCCSB_QTYDSSB NUMBER(8,0) not null,JCCSB_QLSB NUMBER(8,0) not null,JCCSB_QCH NUMBER(8,0) not null,JHYSB NUMBER(8,0) not null,JYQK_LYJYL NUMBER(10,0) not null,JYQK_LYSJSCL NUMBER(10,0) not null,JLGLLB VARCHAR2(1) not null,JLGLJL NUMBER(15,0) not null,SFFHWRY VARCHAR2(1) not null,YWFHSS VARCHAR2(1) not null,YWXFSY VARCHAR2(1) not null,YWXFSS VARCHAR2(1) not null,YWJHYS VARCHAR2(1) not null,NFJCLSZLDJ VARCHAR2(1) not null,JHYSJZMJ NUMBER(15,0) not null,NFJCLCCPZ VARCHAR2(1) not null,BLSB_ZBLQCKXTCRL NUMBER(10,0) not null,NJGL NUMBER(10,0) not null,CCSSCQ VARCHAR2(1) not null,YWTLZX VARCHAR2(1) not null,YWSYMT VARCHAR2(1) not null,NSGL NUMBER(20,0) not null,ZYSGPZ VARCHAR2(64) not null,KYKDMJ NUMBER(12,4) not null,CLYJ NUMBER(10,2) not null,XZJ NUMBER(10,2) not null,TL_ZYX NUMBER(8,3) not null,TL_YXCD NUMBER(8,3) not null,ZYBWSL NUMBER not null,ZYBWZDW NUMBER(11,3) not null,LS_JSNL NUMBER(10,3) not null,LS_JSNL_TL NUMBER(10,3) not null,LS_JSNL_GL NUMBER(10,3) not null,LS_JSNL_SL NUMBER(10,3) not null,LS_FFNL NUMBER(10,3) not null,LS_FFNL_TL NUMBER(10,3) not null,LS_FFNL_GL NUMBER(10,3) not null,LS_FFNL_SL NUMBER(10,3) not null,YZ_JSNL NUMBER(10,3) not null,YZ_FFNL NUMBER(10,3) not null,CFRL_HJ NUMBER(8,0) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32));
--备注
comment on column DIM_HY_KQQKB.TYSHXYDM is '所属企业代码采用18位统一社会信用代码，必须是阿拉伯数字和大写英文字母组合而成的18位，不可空，相同的统一社会信用代码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_KQQKB.DWDM is '单位代码表3.3-1';
comment on column DIM_HY_KQQKB.KDBM is '库点编码18位统一社会信用代码+3位顺序号组成，必须是阿拉伯数字和大写英文字母组合而成的21位，相同的库区编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_KQQKB.KDMC is '库点名称';
comment on column DIM_HY_KQQKB.KDJC is '库点简称';
comment on column DIM_HY_KQQKB.KDQYXZ is '库点性质1:中央企业
2:地方企业
9:其他企业';
comment on column DIM_HY_KQQKB.KSRQ is '建成日期格式：yyyy-MM-dd';
comment on column DIM_HY_KQQKB.KDLB is '库点类别参考字典表';
comment on column DIM_HY_KQQKB.KDJSCR is '设计仓容单位：吨';
comment on column DIM_HY_KQQKB.KDYXCR is '有效仓容单位：吨';
comment on column DIM_HY_KQQKB.CFS is '仓房数默认值：-1';
comment on column DIM_HY_KQQKB.YZKQS is '油脂库区数默认值：-1';
comment on column DIM_HY_KQQKB.YGS is '油罐数默认值：-1';
comment on column DIM_HY_KQQKB.YXGR is '有效罐容单位：吨';
comment on column DIM_HY_KQQKB.KDMJ is '占地面积单位：平方米 默认值：-1';
comment on column DIM_HY_KQQKB.KDDH is '库点电话';
comment on column DIM_HY_KQQKB.KDZD is '库点地址';
comment on column DIM_HY_KQQKB.KDCZ is '库点传真';
comment on column DIM_HY_KQQKB.KDYB is '库点邮编6位';
comment on column DIM_HY_KQQKB.KDJD is '库点经度';
comment on column DIM_HY_KQQKB.KDWD is '库点纬度';
comment on column DIM_HY_KQQKB.KDXZQHMC is '行政区划名称';
comment on column DIM_HY_KQQKB.KDXZQHDM is '行政区划代码参照：GB_T2260-2017年区划代码，6位阿拉伯数字组成';
comment on column DIM_HY_KQQKB.QYCYRYS is '从业人员数默认值：-1';
comment on column DIM_HY_KQQKB.BGYRS is '粮油保管员人数默认值：-1';
comment on column DIM_HY_KQQKB.JHYYRS is '粮油检化验员人数默认值：-1';
comment on column DIM_HY_KQQKB.BLSB_HGSB_SBSL is '设备数量单位：个 默认值：-1';
comment on column DIM_HY_KQQKB.BLSB_HGSB_HGNL is '烘干能力单位：吨/天 默认值：-1';
comment on column DIM_HY_KQQKB.BLSB_HGSB_NSJHGLSSL is '年实际烘干粮食数量单位：吨 默认值：-1';
comment on column DIM_HY_KQQKB.BLSB_ZBHLXZXTCRL is '装备环流熏蒸系统仓容量单位：吨 默认值：-1';
comment on column DIM_HY_KQQKB.BLSB_SXJXTFCRL is '实现机械通风仓容量单位：吨 默认值：-1';
comment on column DIM_HY_KQQKB.BLSB_GQLQJ is '谷物冷却机单位：台 默认值：-1';
comment on column DIM_HY_KQQKB.BLSB_TFJ is '通风机单位：台 默认值：-1';
comment on column DIM_HY_KQQKB.JCCSB_SSJ is '输送机单位：台 默认值：-1';
comment on column DIM_HY_KQQKB.JCCSB_QTYDSSB is '其他移动式设备单位：台 默认值：-1';
comment on column DIM_HY_KQQKB.JCCSB_QLSB is '清理设备单位：台 默认值：-1';
comment on column DIM_HY_KQQKB.JCCSB_QCH is '汽车衡单位：台 默认值：-1';
comment on column DIM_HY_KQQKB.JHYSB is '检化验设备单位：台 默认值：-1';
comment on column DIM_HY_KQQKB.JYQK_LYJYL is '粮油经营量单位：吨 默认值：-1';
comment on column DIM_HY_KQQKB.JYQK_LYSJSCL is '粮油散进散出量单位：吨 默认值：-1';
comment on column DIM_HY_KQQKB.JLGLLB is '紧邻公路类别1:高速公路
2:国道
3:省道
4:县道
5:其他';
comment on column DIM_HY_KQQKB.JLGLJL is '紧邻公路距离单位：米 默认值-1';
comment on column DIM_HY_KQQKB.SFFHWRY is '是否符合污染源1：是
0：否
9:其他或不确定';
comment on column DIM_HY_KQQKB.YWFHSS is '有无防洪设施1:有
0:无
9:其他或不确定';
comment on column DIM_HY_KQQKB.YWXFSY is '有无消防水源1:有
0:无
9:其他或不确定';
comment on column DIM_HY_KQQKB.YWXFSS is '有无消防设施1:有
0:无
9:其他或不确定';
comment on column DIM_HY_KQQKB.YWJHYS is '有无检化验室1:有
0:无
9:其他或不确定';
comment on column DIM_HY_KQQKB.NFJCLSZLDJ is '检测粮食质量等级1：能
0：否
9:其他或不确定';
comment on column DIM_HY_KQQKB.JHYSJZMJ is '检化验室建筑面积单位：平房米 默认值：-1';
comment on column DIM_HY_KQQKB.NFJCLCCPZ is '检测粮食储存品质1：能
0：否
9:其他或不确定';
comment on column DIM_HY_KQQKB.BLSB_ZBLQCKXTCRL is '装备粮情测控系统仓容量单位：吨 默认值：-1';
comment on column DIM_HY_KQQKB.NJGL is '年加工量: 单位：吨 默认值：-1';
comment on column DIM_HY_KQQKB.CCSSCQ is '仓储设施产权 1：自有
2：租赁
9：其他或不确定';
comment on column DIM_HY_KQQKB.YWTLZX is '有无铁路专用线1:有
0:无
9:其他或不确定';
comment on column DIM_HY_KQQKB.YWSYMT is '有无水运码头1:有
0:无
9:其他或不确定';
comment on column DIM_HY_KQQKB.NSGL is '年收购量 单位：吨 默认值：-1';
comment on column DIM_HY_KQQKB.ZYSGPZ is '主要收购品种 参考表3.1-7主要粮食及加工产品分类与代码表每个品种长度为7位，不足7为的在后面补0至7位。多个加工品种以英文逗号隔开。';
comment on column DIM_HY_KQQKB.KYKDMJ is '可用空地面积单位：平方米 默认值：-1';
comment on column DIM_HY_KQQKB.CLYJ is '储粮药剂数量单位：公斤 默认值：0';
comment on column DIM_HY_KQQKB.XZJ is '熏蒸剂数量单位：公斤 默认值：0';
comment on column DIM_HY_KQQKB.TL_ZYX is '铁路专用线单位：米 默认值：0';
comment on column DIM_HY_KQQKB.TL_YXCD is '铁路专用线有效长度单位：米 默认值：0';
comment on column DIM_HY_KQQKB.ZYBWSL is '专用码头_泊位数量单位：个 默认值：0';
comment on column DIM_HY_KQQKB.ZYBWZDW is '专用码头_总吨位单位：吨 ';
comment on column DIM_HY_KQQKB.LS_JSNL is '中转设施_粮食_接收能力单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.LS_JSNL_TL is '中转设施_粮食_接收能力_铁路单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.LS_JSNL_GL is '中转设施_粮食_接收能力_公路单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.LS_JSNL_SL is '中转设施_粮食_接收能力_水路单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.LS_FFNL is '中转设施_粮食_发放能力单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.LS_FFNL_TL is '中转设施_粮食_发放能力_铁路单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.LS_FFNL_GL is '中转设施_粮食_发放能力公路单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.LS_FFNL_SL is '中转设施_粮食_发放能力水路单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.YZ_JSNL is '油脂_接收能力单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.YZ_FFNL is '油脂_发放能力单位：吨/天 默认值：0';
comment on column DIM_HY_KQQKB.CFRL_HJ is '符合储粮要求仓房容量_合计单位：吨 默认值：0';
comment on column DIM_HY_KQQKB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_KQQKB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';

--建表
create table DIM_HY_DWRYXXB (id varchar2(32),SSJGDM VARCHAR2(18),bgrybh VARCHAR2(18) not null,DWDM VARCHAR2(32) not null,ZGXM VARCHAR2(32) not null,SFZH VARCHAR2(18) not null,qybm VARCHAR2(21) not null,rylb VARCHAR2(1) not null,XB VARCHAR2(2) not null,JG VARCHAR2(64) not null,MZ VARCHAR2(16) not null,CSSJ VARCHAR2(20),CJGZSJ VARCHAR2(20),WHCD VARCHAR2(16) not null,ZZMM VARCHAR2(32) not null,ZWDM VARCHAR2(2),BMDM VARCHAR2(6),BMBDM VARCHAR2(6),BMZDM VARCHAR2(6),ZGQKDM VARCHAR2(2),GWDM VARCHAR2(2),JSZCDM VARCHAR2(2),LXDH VARCHAR2(30),JBZS VARCHAR2(200),BZ VARCHAR2(500),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(18) not null,cyns NUMBER not null,hjjl VARCHAR2(256),pxjl VARCHAR2(256),zyzgzzl VARCHAR2(20),zyzgzbh VARCHAR2(20));
--备注
comment on column DIM_HY_DWRYXXB.SSJGDM is '所属机构代码（遵循GB 32100编码规则 ）';
comment on column DIM_HY_DWRYXXB.bgrybh is '人员编码人员身份证号码。';
comment on column DIM_HY_DWRYXXB.DWDM is '单位代码';
comment on column DIM_HY_DWRYXXB.ZGXM is '职工姓名';
comment on column DIM_HY_DWRYXXB.SFZH is '身份证号';
comment on column DIM_HY_DWRYXXB.qybm is '库区编码库区编码为18位统一社会信用代码（保管人员所属的企业代码）+3位顺序号组成，必须是阿拉伯数字和大写英文字母组合而成的21位';
comment on column DIM_HY_DWRYXXB.rylb is '人员类别1:保管员
2：验质人员
3：企业管理人员
4：财会人员
5：统计人员
9：其他';
comment on column DIM_HY_DWRYXXB.XB is '性别参照GB/T2261.1-2003个人基本信息分类与代码 第1部分 人的性别代码';
comment on column DIM_HY_DWRYXXB.JG is '籍贯范例：山东省济南市';
comment on column DIM_HY_DWRYXXB.MZ is '民族参照GB/T3304-1991中国各民族名称的罗马字母拼写法和代码';
comment on column DIM_HY_DWRYXXB.CSSJ is '出生时间';
comment on column DIM_HY_DWRYXXB.CJGZSJ is '参加工作时间';
comment on column DIM_HY_DWRYXXB.WHCD is '文化程度参照GB/T 4658-2006表1 学历代码表';
comment on column DIM_HY_DWRYXXB.ZZMM is '政治面貌参照GB/T 4762-1984  政治面貌代码';
comment on column DIM_HY_DWRYXXB.ZWDM is '职务代码参考字典表';
comment on column DIM_HY_DWRYXXB.BMDM is '部门代码';
comment on column DIM_HY_DWRYXXB.BMBDM is '部门班代码';
comment on column DIM_HY_DWRYXXB.BMZDM is '部门组代码';
comment on column DIM_HY_DWRYXXB.ZGQKDM is '在岗情况代码01：在岗02：离岗03：退休';
comment on column DIM_HY_DWRYXXB.GWDM is '岗位代码参考字典表';
comment on column DIM_HY_DWRYXXB.JSZCDM is '技术职称代码参考字典表';
comment on column DIM_HY_DWRYXXB.LXDH is '联系电话';
comment on column DIM_HY_DWRYXXB.JBZS is '具备证书';
comment on column DIM_HY_DWRYXXB.BZ is '备注';
comment on column DIM_HY_DWRYXXB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_DWRYXXB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_DWRYXXB.TYSHXYDM is '所属库点统一社会信用代码统一社会信用代码18位';
comment on column DIM_HY_DWRYXXB.cyns is '从业年数';
comment on column DIM_HY_DWRYXXB.hjjl is '获奖经历';
comment on column DIM_HY_DWRYXXB.pxjl is '培训经历';
comment on column DIM_HY_DWRYXXB.zyzgzzl is '职业资格证种类';
comment on column DIM_HY_DWRYXXB.zyzgzbh is '职业资格证编号';

--建表
create table DIM_HY_CFQKB (CFBH VARCHAR2(24) not null,CFMC VARCHAR2(20) not null,TYSHXYDM VARCHAR2(18) not null,CFLX VARCHAR2(8) not null,JSND VARCHAR2(4),QTJG VARCHAR2(2) not null,FDJG VARCHAR2(2) not null,DMJG VARCHAR2(2) not null,SJCR NUMBER(20,3) not null,SJCR01 NUMBER(20,3) not null,CWC NUMBER(5,2) not null,CWK NUMBER(5,2) not null,CWYG NUMBER(5,2) not null,CWDG NUMBER(5,2) not null,CWTCWJ NUMBER(5,2) not null,CWWQMJ NUMBER(20,3),CNC NUMBER(5,2) not null,CNK NUMBER(5,2) not null,CNYG NUMBER(5,2) not null,CNZLXG NUMBER(5,2) not null,SJZLXG NUMBER(5,2) not null,CNTCNJ NUMBER(5,2) not null,CNTJ NUMBER(8,2) not null,LDTJ NUMBER(8,2) not null,CMSL NUMBER not null,CMWZ VARCHAR2(32) not null,CMGD NUMBER(8,2) not null,CMKD NUMBER(8,2) not null,TFFS VARCHAR2(128),GRCS VARCHAR2(128),CFJD NUMBER(10,6),CFWD NUMBER(10,6),CFZT VARCHAR2(1) not null,CFSYZT VARCHAR2(1) not null,QYRQ VARCHAR2(10) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),DWDM VARCHAR2(32),KQBH VARCHAR2(21) not null,CFLXMC VARCHAR2(32) not null,FJJG VARCHAR2(2) not null,LYQK VARCHAR2(1) not null,AJS NUMBER not null,SSKD VARCHAR2(11),CFJG VARCHAR2(20),JZLX VARCHAR2(20),cfsfwh VARCHAR2(1) not null,nfgrbw VARCHAR2(1) not null,nfszcc VARCHAR2(1) not null,ywfsfqfczz VARCHAR2(1) not null,ywfhfbfdss VARCHAR2(1) not null,ywlqjcss VARCHAR2(1) not null,ywjxtfss VARCHAR2(1) not null,nfhlxzsc VARCHAR2(1) not null,nffddyqtcl VARCHAR2(1) not null,nfcwcc VARCHAR2(1) not null);
--备注
comment on column DIM_HY_CFQKB.CFBH is '仓房编号18位统一社会信用代码+3位库区编码组成+3位仓房编码，必须是阿拉伯数字和大写英文字母组合而成的24位，相同的仓房编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_CFQKB.CFMC is '仓房名称（不可空）';
comment on column DIM_HY_CFQKB.TYSHXYDM is '所属库点统一信用代码 18位统一社会信用代码，必须是阿拉伯数字和大写英文字母组合而成的18位，不可空';
comment on column DIM_HY_CFQKB.CFLX is '仓房类型参考：LST 1705-2017 粮食信息分类与编码 粮食设施分类与代码';
comment on column DIM_HY_CFQKB.JSND is '建设年代';
comment on column DIM_HY_CFQKB.QTJG is '墙体结构01：钢筋砼
02：砖混
03：钢板
04：砼
99：其他
';
comment on column DIM_HY_CFQKB.FDJG is '房顶结构01：钢筋砼
02：砖混
03：钢板
04：砼
99：其他
';
comment on column DIM_HY_CFQKB.DMJG is '地面结构01：钢筋砼
02：砖混
03：钢板
04：砼
99：其他
';
comment on column DIM_HY_CFQKB.SJCR is '设计仓容单位：吨';
comment on column DIM_HY_CFQKB.SJCR01 is '实际仓容单位：吨';
comment on column DIM_HY_CFQKB.CWC is '仓外长单位：米';
comment on column DIM_HY_CFQKB.CWK is '仓外宽单位：米';
comment on column DIM_HY_CFQKB.CWYG is '外檐高单位：米';
comment on column DIM_HY_CFQKB.CWDG is '外顶高单位：米';
comment on column DIM_HY_CFQKB.CWTCWJ is '仓外筒仓外径单位：米';
comment on column DIM_HY_CFQKB.CWWQMJ is '外墙面积';
comment on column DIM_HY_CFQKB.CNC is '仓内长（M）单位：米';
comment on column DIM_HY_CFQKB.CNK is '仓内宽（M）单位：米';
comment on column DIM_HY_CFQKB.CNYG is '仓内檐高（M）单位：米';
comment on column DIM_HY_CFQKB.CNZLXG is '内装粮线高（M）单位：米';
comment on column DIM_HY_CFQKB.SJZLXG is '实际装粮线（M）单位：米';
comment on column DIM_HY_CFQKB.CNTCNJ is '内筒仓内径（M）单位：米';
comment on column DIM_HY_CFQKB.CNTJ is '仓内体积单位：立方米';
comment on column DIM_HY_CFQKB.LDTJ is '粮堆体积单位：立方米';
comment on column DIM_HY_CFQKB.CMSL is '仓门数量';
comment on column DIM_HY_CFQKB.CMWZ is '仓门位置';
comment on column DIM_HY_CFQKB.CMGD is '仓门高度（米）单位：米';
comment on column DIM_HY_CFQKB.CMKD is '仓门宽度（米）单位：米';
comment on column DIM_HY_CFQKB.TFFS is '通风方式';
comment on column DIM_HY_CFQKB.GRCS is '隔热措施';
comment on column DIM_HY_CFQKB.CFJD is '仓房经度（度）';
comment on column DIM_HY_CFQKB.CFWD is '仓房纬度（度）';
comment on column DIM_HY_CFQKB.CFZT is '仓房状态1：完好
2：需小修
3：需大修
4：待报废
5：待拆除
6：死角仓
9：其他';
comment on column DIM_HY_CFQKB.CFSYZT is '仓房使用状态1：空仓
2：占用
3：满仓
4：入库中
5：出库中
6：维修
9：其他';
comment on column DIM_HY_CFQKB.QYRQ is '启用日期格式为yyyy-MM-dd';
comment on column DIM_HY_CFQKB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CFQKB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CFQKB.DWDM is '单位代码';
comment on column DIM_HY_CFQKB.KQBH is '库区编码 18位统一社会信用代码+3位顺序号组成，必须是阿拉伯数字和大写英文字母组合而成的21位，相同的库区编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_CFQKB.CFLXMC is '仓房类型名称';
comment on column DIM_HY_CFQKB.FJJG is '房架结构01：钢筋砼
02：砖混
03：钢板
04：砼
99：其他';
comment on column DIM_HY_CFQKB.LYQK is '利用情况0：空置
1：储粮
2：占用
3：挪作他用
9：其他';
comment on column DIM_HY_CFQKB.AJS is '廒间数默认值-1';
comment on column DIM_HY_CFQKB.SSKD is '所属库点表3.3-1';
comment on column DIM_HY_CFQKB.CFJG is '仓房结构';
comment on column DIM_HY_CFQKB.JZLX is '建筑类型 表3.1-40';
comment on column DIM_HY_CFQKB.cfsfwh is '仓房是否完好1：是
0：否
9: 其他或不确定';
comment on column DIM_HY_CFQKB.nfgrbw is '能否隔热保温1：能
0：否
9: 其他或不确定';
comment on column DIM_HY_CFQKB.nfszcc is '能否散装储存1：能
0：否
9: 其他或不确定';
comment on column DIM_HY_CFQKB.ywfsfqfczz is '有无防鼠防雀防虫装置及设施1：有
0：无
9: 其他或不确定';
comment on column DIM_HY_CFQKB.ywfhfbfdss is '有无防火防爆防盗措施1：有
0：无
9: 其他或不确定';
comment on column DIM_HY_CFQKB.ywlqjcss is '有无粮情检测设施1：有
0：无
9: 其他或不确定';
comment on column DIM_HY_CFQKB.ywjxtfss is '有无机械通风设施1：有
0：无
9: 其他或不确定';
comment on column DIM_HY_CFQKB.nfhlxzsc is '能否环流熏蒸杀虫1：能
0：否
9: 其他或不确定';
comment on column DIM_HY_CFQKB.nffddyqtcl is '能否富氮低氧气调储粮1：能
0：否
9: 其他或不确定';
comment on column DIM_HY_CFQKB.nfcwcc is '能否仓外测虫1：能
0：否
9: 其他或不确定';

--建表
create table DIM_HY_AJQKB (id varchar2(32),SSCF VARCHAR2(32) not null,SSCFBH VARCHAR2(24) not null,AJBH VARCHAR2(27) not null,AJMC VARCHAR2(32) not null,AJCD NUMBER(8,4) not null,AJKD NUMBER(8,4) not null,AJGD NUMBER(8,4) not null,AJSJCR01 NUMBER(20,3) not null,AJSJCR NUMBER(20,3) not null,AJLXDH VARCHAR2(20),AJQYRQ VARCHAR2(10),AJJD NUMBER(10,6),AJWD NUMBER(10,6),AJZT VARCHAR2(1) not null,AJSYZT VARCHAR2(1) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(18) not null,DWDM VARCHAR2(32) not null);
--备注
comment on column DIM_HY_AJQKB.SSCF is '所属仓房名称';
comment on column DIM_HY_AJQKB.SSCFBH is '仓房编号18位统一社会信用代码+3位库区编码组成+3位仓房编码，必须是阿拉伯数字和大写英文字母组合而成的24位，相同的仓房编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_AJQKB.AJBH is '厫间编号18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码，必须是阿拉伯数字和大写英文字母组合而成的27位，相同的廒间编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_AJQKB.AJMC is '厫间名称';
comment on column DIM_HY_AJQKB.AJCD is '厫间长度单位：米';
comment on column DIM_HY_AJQKB.AJKD is '厫间宽度单位：米 ';
comment on column DIM_HY_AJQKB.AJGD is '厫间高度单位：米 ';
comment on column DIM_HY_AJQKB.AJSJCR01 is '设计仓容单位：吨';
comment on column DIM_HY_AJQKB.AJSJCR is '实际仓容单位：吨';
comment on column DIM_HY_AJQKB.AJLXDH is '联系电话';
comment on column DIM_HY_AJQKB.AJQYRQ is '启用日期格式为yyyy-MM-dd';
comment on column DIM_HY_AJQKB.AJJD is '厫间经度';
comment on column DIM_HY_AJQKB.AJWD is '厫间纬度';
comment on column DIM_HY_AJQKB.AJZT is '厫间状态1：完好
2：需小修
3：需大修
4：待报废
5：待拆除
6：死角仓
9：其他';
comment on column DIM_HY_AJQKB.AJSYZT is '使用状态1：空仓
2：占用
3：满仓
4：入库中
5：出库中
6：维修
9：其他';
comment on column DIM_HY_AJQKB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_AJQKB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_AJQKB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_AJQKB.DWDM is '单位代码表3.1-11';

--建表
create table DIM_HY_HWQKB (id varchar2(32),SSCFBH VARCHAR2(24) not null,SSAJBH VARCHAR2(27) not null,HWBH VARCHAR2(29) not null,hwmc VARCHAR2(20) not null,HWQYRQ VARCHAR2(10) not null,HWZT VARCHAR2(1) not null,CLFS VARCHAR2(1) not null,HWRL NUMBER(10,6) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(18) not null,DWDM VARCHAR2(32) not null,BGY VARCHAR2(50) not null,SHR VARCHAR2(20),SHND VARCHAR2(4),CFMC VARCHAR2(32),AJMC VARCHAR2(32),bz VARCHAR2(128));
--备注
comment on column DIM_HY_HWQKB.SSCFBH is '仓房编号18位统一社会信用代码+3位库区编码组成+3位仓房编码，必须是阿拉伯数字和大写英文字母组合而成的24位，相同的仓房编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_HWQKB.SSAJBH is '廒间编号18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码，必须是阿拉伯数字和大写英文字母组合而成的27位，相同的廒间编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_HWQKB.HWBH is '货位编号18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码+2位货位编码，必须是阿拉伯数字和大写英文字母组合而成的29位，相同的货位编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_HWQKB.hwmc is '货位名称';
comment on column DIM_HY_HWQKB.HWQYRQ is '启用日期格式yyyy-MM-dd';
comment on column DIM_HY_HWQKB.HWZT is '货位状态1：空仓
2：入库中
3：满货位
4：出库中
5：已出库
9：其他';
comment on column DIM_HY_HWQKB.CLFS is '储粮方式1:散装储粮
2:包装储粮
3:围包散存
9:其他';
comment on column DIM_HY_HWQKB.HWRL is '货位容量单位：吨';
comment on column DIM_HY_HWQKB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_HWQKB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_HWQKB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_HWQKB.DWDM is '单位代码';
comment on column DIM_HY_HWQKB.BGY is '保管员编号与保管人员数据接口中的保管人员身份证号进行关联若一个货位有多个保管员，则用“|”进行分隔';
comment on column DIM_HY_HWQKB.SHR is '审核人';
comment on column DIM_HY_HWQKB.SHND is '收货年度';
comment on column DIM_HY_HWQKB.CFMC is '仓房名称';
comment on column DIM_HY_HWQKB.AJMC is '厫间名称';
comment on column DIM_HY_HWQKB.bz is '备注';

--建表
create table DIM_HY_YGQKB (id varchar2(32),DWDM VARCHAR2(11) not null,YGBH VARCHAR2(24) not null,YGMC VARCHAR2(128) not null,SJGR NUMBER(10,6),SJGR01 NUMBER(10,6) not null,YGZJ NUMBER(10,4) not null,YGGD NUMBER(10,4) not null,ZYGD NUMBER(10,0),JZSJ VARCHAR2(19) not null,SJND VARCHAR2(4) not null,YGJD NUMBER(10,6),YGWD NUMBER(10,6),YGZT VARCHAR2(1) not null,YGSYZT VARCHAR2(1) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(18) not null,YWJRZZ VARCHAR2(1) not null,YGLX VARCHAR2(1) not null,SSKD VARCHAR2(21) not null,YGZR NUMBER(10,6),YGZR01 NUMBER(18,0),jdfs VARCHAR2(1) not null,hjfs VARCHAR2(1) not null,ygjfssssfwh VARCHAR2(1) not null);
--备注
comment on column DIM_HY_YGQKB.DWDM is '单位代码';
comment on column DIM_HY_YGQKB.YGBH is '油罐编号18位统一社会信用代码+3位库区编码组成+3位油罐编码，必须是阿拉伯数字和大写英文字母组合而成的24位，相同的油罐编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_YGQKB.YGMC is '油罐名称';
comment on column DIM_HY_YGQKB.SJGR is '设计罐容单位：吨';
comment on column DIM_HY_YGQKB.SJGR01 is '实际罐容单位：吨';
comment on column DIM_HY_YGQKB.YGZJ is '油罐直径单位：米';
comment on column DIM_HY_YGQKB.YGGD is '油罐高度单位：米';
comment on column DIM_HY_YGQKB.ZYGD is '装油高度单位：米';
comment on column DIM_HY_YGQKB.JZSJ is '建造时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_YGQKB.SJND is '设计年代格式：yyyy';
comment on column DIM_HY_YGQKB.YGJD is '油罐经度度';
comment on column DIM_HY_YGQKB.YGWD is '油罐纬度度';
comment on column DIM_HY_YGQKB.YGZT is '油罐状态1：完好
2：需小修
3：需大修
4：待报废
5：待拆除
6：长期闲置
9：其他';
comment on column DIM_HY_YGQKB.YGSYZT is '使用状态1：空仓
2：占用
3：满货位
4：入库中
5：出库中
6：维修
9：其他';
comment on column DIM_HY_YGQKB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_YGQKB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_YGQKB.TYSHXYDM is '统一社会信用代码18位统一社会信用代码，必须是阿拉伯数字和大写英文字母组合而成的18位，不可空';
comment on column DIM_HY_YGQKB.YWJRZZ is '有无加热装置 1：有
0：无
9:其他或不确定';
comment on column DIM_HY_YGQKB.YGLX is '油罐类型 1：立式油罐
2：卧式油罐
3：油槽(池)
4：地下油罐
5：其他';
comment on column DIM_HY_YGQKB.SSKD is '所属库点18位统一社会信用代码+3位顺序号组成，必须是阿拉伯数字和大写英文字母组合而成的21位，相同的库区编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_YGQKB.YGZR is '油罐总容';
comment on column DIM_HY_YGQKB.YGZR01 is '油罐组容';
comment on column DIM_HY_YGQKB.jdfs is '检定方式1：标定
0：非标定
9:其他或不确定';
comment on column DIM_HY_YGQKB.hjfs is '焊接方式1：对接
2：搭接
9:其他或不确定
';
comment on column DIM_HY_YGQKB.ygjfssssfwh is '油罐及附属设施是否完好1：是
0：否
9:其他或不确定
';

--建表
create table DIM_HY_KHXXQKB (id varchar2(32),KHMC VARCHAR2(128) not null,khbm VARCHAR2(32) not null,KHSFZH VARCHAR2(18),KHDZ VARCHAR2(256),KHLX VARCHAR2(1) not null,KHHHM VARCHAR2(128),KHHH VARCHAR2(20),YHKH VARCHAR2(30),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(18) not null,DWDM VARCHAR2(32),ssqydm VARCHAR2(18) not null,yzbm VARCHAR2(6),lxrxm VARCHAR2(20) not null,lxrdh VARCHAR2(20) not null,dzyx VARCHAR2(32),gsdjbh VARCHAR2(256),sfyx VARCHAR2(1) not null,sfshbz VARCHAR2(1) not null,shrxm VARCHAR2(20),shsj VARCHAR2(19),hmdbz VARCHAR2(1) not null);
--备注
comment on column DIM_HY_KHXXQKB.KHMC is '客户名称';
comment on column DIM_HY_KHXXQKB.khbm is '客户编码客户信息的唯一标识码';
comment on column DIM_HY_KHXXQKB.KHSFZH is '身份证号';
comment on column DIM_HY_KHXXQKB.KHDZ is '客户地址';
comment on column DIM_HY_KHXXQKB.KHLX is '客户类型0：入库
1：出库';
comment on column DIM_HY_KHXXQKB.KHHHM is '开户行';
comment on column DIM_HY_KHXXQKB.KHHH is '开户行号';
comment on column DIM_HY_KHXXQKB.YHKH is '银行卡号';
comment on column DIM_HY_KHXXQKB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_KHXXQKB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_KHXXQKB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_KHXXQKB.DWDM is '单位代码';
comment on column DIM_HY_KHXXQKB.ssqydm is '所属企业代码所属企业的社会统一信用代码';
comment on column DIM_HY_KHXXQKB.yzbm is '邮政编码';
comment on column DIM_HY_KHXXQKB.lxrxm is '联系人姓名';
comment on column DIM_HY_KHXXQKB.lxrdh is '联系电话';
comment on column DIM_HY_KHXXQKB.dzyx is '电子信箱';
comment on column DIM_HY_KHXXQKB.gsdjbh is '公司登记编号';
comment on column DIM_HY_KHXXQKB.sfyx is '是否有效1：是（默认）
0：否';
comment on column DIM_HY_KHXXQKB.sfshbz is '身份审核标志1：是（默认）
0：否';
comment on column DIM_HY_KHXXQKB.shrxm is '审核人姓名';
comment on column DIM_HY_KHXXQKB.shsj is '审核时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_KHXXQKB.hmdbz is '黑名单标志1：是
0：否（默认）';

--建表
create table DIM_HY_TPXXB (id varchar2(32),kqbh VARCHAR2(21),wjmc VARCHAR2（32） not null,wjlx VARCHAR2(32) not null,wjl VARCHAR2(4000) not null);
--备注
comment on column DIM_HY_TPXXB.kqbh is '库区编码具体编码格式参考库区信息数据接口中库区编码的定义';
comment on column DIM_HY_TPXXB.wjmc is '文件名称图片采用jpg格式，库区平面图采用库区编码.jpg的命名方式，出入库图片命名方式参考《LST 1805-2016 粮食数据采集技术规范 政策性粮食收购》中4.2.2.6照片数据，其中业务流水号与粮食出入库信息数据接口中的业务单号保持一致';
comment on column DIM_HY_TPXXB.wjlx is '文件类型1：库区平面图
2：出入库图片';
comment on column DIM_HY_TPXXB.wjl is '文件流二进制数据流';


--建表
create table DIM_HY_CRK_MWDJB (id varchar2(32),RKLSH VARCHAR2(12) not null,TXM VARCHAR2(15),DKSJ VARCHAR2(68),LKSJ VARCHAR2(68),YSGJ VARCHAR2(1) not null,CPH VARCHAR2(32) not null,DJYXM VARCHAR2(30) not null,CYRXM VARCHAR2(32) not null,CYRSFZH VARCHAR2(18) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(18),DWDM VARCHAR2(32),DJSJ VARCHAR2(19) not null,CYRLXDH VARCHAR2(32) not null,CYRXXDZ VARCHAR2(128) not null,YWLX VARCHAR2(2) not null,YWSJ VARCHAR2(10) not null,HTBH VARCHAR2(64),SHMC VARCHAR2(64),QYDBH VARCHAR2(64) not null,hwbm VARCHAR2(29) not null,khbm VARCHAR2(32),jsdbm VARCHAR2(33) not null);
--备注
comment on column DIM_HY_CRK_MWDJB.RKLSH is '业务单号对应入库登记业务流水号，12位数字组成，头两位业务编码（按照1710-2004执行，14为入库，15为出库），依次两位年份、月份、日期，最后四位随机数。例如：141605041234';
comment on column DIM_HY_CRK_MWDJB.TXM is '出入库条码';
comment on column DIM_HY_CRK_MWDJB.DKSJ is '到库时间';
comment on column DIM_HY_CRK_MWDJB.LKSJ is '离库时间';
comment on column DIM_HY_CRK_MWDJB.YSGJ is '运输工具1：汽车
2：火车
3：轮船
9：其他';
comment on column DIM_HY_CRK_MWDJB.CPH is '车船号';
comment on column DIM_HY_CRK_MWDJB.DJYXM is '登记门岗人员姓名';
comment on column DIM_HY_CRK_MWDJB.CYRXM is '承运人姓名';
comment on column DIM_HY_CRK_MWDJB.CYRSFZH is '身份证号';
comment on column DIM_HY_CRK_MWDJB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_MWDJB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_MWDJB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_CRK_MWDJB.DWDM is '单位代码';
comment on column DIM_HY_CRK_MWDJB.DJSJ is '登记时间    格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_CRK_MWDJB.CYRLXDH is '承运联系电话';
comment on column DIM_HY_CRK_MWDJB.CYRXXDZ is '承运详细地址';
comment on column DIM_HY_CRK_MWDJB.YWLX is '业务类型1：出库
2：入库';
comment on column DIM_HY_CRK_MWDJB.YWSJ is '业务时间格式：yyyy-MM-dd';
comment on column DIM_HY_CRK_MWDJB.HTBH is '合同编码';
comment on column DIM_HY_CRK_MWDJB.SHMC is '商户名称';
comment on column DIM_HY_CRK_MWDJB.QYDBH is '扦样单编码参考字典表';
comment on column DIM_HY_CRK_MWDJB.hwbm is '货位编码18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码+2位货位编码，必须是阿拉伯数字和大写英文字母组合而成的29位，相同的货位编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_CRK_MWDJB.khbm is '客户编码客户信息的唯一标识码';
comment on column DIM_HY_CRK_MWDJB.jsdbm is '结算单编码由库点代码+业务单号组成参考《粮食数据采集技术规范》（LST 1805-2016）的表9';



--建表
create table DIM_HY_CRK_ZJXXB (id varchar2(32),ZJLSH VARCHAR2(33),TXM VARCHAR2(15),RKLSH VARCHAR2(12) not null,JYSJ VARCHAR2(19) not null,JHZXXH VARCHAR2(15),JHLRBH VARCHAR2(10),PZ VARCHAR2(7) not null,DJ VARCHAR2(2) not null,SHND VARCHAR2(4) not null,LSXZ VARCHAR2(3) not null,QYSL NUMBER(18,2) not null,SFHG VARCHAR2(1) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(200),DWDM VARCHAR2(32),QYDW VARCHAR2(128) not null,CPH VARCHAR2(32),CFBH VARCHAR2(24),CFMC VARCHAR2(32),QYRQ VARCHAR2(19) not null,QYDD VARCHAR2(128) not null,QYRXM VARCHAR2(20) not null,QYDBH VARCHAR2(12) not null,DBSL NUMBER(18,2) not null,YPZT VARCHAR2(1) not null,JYXM VARCHAR2(500) not null,HYSFHG VARCHAR2(500) not null,PZMC VARCHAR2(32),RKSJ VARCHAR2(32),CCFS VARCHAR2(32),LSDJ VARCHAR2(2),CYFF VARCHAR2(32),CYLB VARCHAR2(32),CDSF VARCHAR2(32),CDS VARCHAR2(32),CDX VARCHAR2(32),SHQRR VARCHAR2(32),QYFS VARCHAR2(1) not null,CD VARCHAR2(6) not null,ZJRY VARCHAR2(20) not null,HWBM VARCHAR2(29) not null,cmsj VARCHAR2(19) not null,cmqrmgryxm VARCHAR2(32) not null,jsdbm VARCHAR2(33) not null,bcqx NUMBER,zxbz VARCHAR2(1) not null,zkj VARCHAR2(500) not null,zkl VARCHAR2(500) not null,zjkl NUMBER(8,3) not null,XCSL NUMBER(9,1) not null);
--备注
comment on column DIM_HY_CRK_ZJXXB.ZJLSH is '质检流水号';
comment on column DIM_HY_CRK_ZJXXB.TXM is '出入库条码';
comment on column DIM_HY_CRK_ZJXXB.RKLSH is '业务单号对应入库登记业务流水号，12位数字组成，头两位业务编码（按照1710-2004执行，14为入库，15为出库），依次两位年份、月份、日期，最后四位随机数。例如：141605041234';
comment on column DIM_HY_CRK_ZJXXB.JYSJ is '检验时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_CRK_ZJXXB.JHZXXH is '计划执行序号';
comment on column DIM_HY_CRK_ZJXXB.JHLRBH is '计划编号';
comment on column DIM_HY_CRK_ZJXXB.PZ is '品种编码参考表4-1主要粮食及加工产品分类与代码表';
comment on column DIM_HY_CRK_ZJXXB.DJ is '等级编码参考表4-3等级代码表';
comment on column DIM_HY_CRK_ZJXXB.SHND is '收货年度';
comment on column DIM_HY_CRK_ZJXXB.LSXZ is '粮食性质编码参考表4-2粮食性质代码表';
comment on column DIM_HY_CRK_ZJXXB.QYSL is '扦样数量';
comment on column DIM_HY_CRK_ZJXXB.SFHG is '是否合格0：不合格
1：合格
参考《粮食数据采集技术规范》（LST 1805-2016）的表7';
comment on column DIM_HY_CRK_ZJXXB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_ZJXXB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_ZJXXB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_CRK_ZJXXB.DWDM is '单位代码';
comment on column DIM_HY_CRK_ZJXXB.QYDW is '扦样单位';
comment on column DIM_HY_CRK_ZJXXB.CPH is '车皮号';
comment on column DIM_HY_CRK_ZJXXB.CFBH is '仓房编码参考字典表';
comment on column DIM_HY_CRK_ZJXXB.CFMC is '扦样仓房名称';
comment on column DIM_HY_CRK_ZJXXB.QYRQ is '扦样时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_CRK_ZJXXB.QYDD is '扦样地点';
comment on column DIM_HY_CRK_ZJXXB.QYRXM is '扦样人姓名';
comment on column DIM_HY_CRK_ZJXXB.QYDBH is '扦样单编码对应扦样检验单号。12位数字组成，头两位业务编码，依次两位年份、月份、日期，最后四位检验顺序数';
comment on column DIM_HY_CRK_ZJXXB.DBSL is '代表数量单位：公斤';
comment on column DIM_HY_CRK_ZJXXB.YPZT is '样品状态0：完好
1：可检
2：塑料袋装
3：塑料瓶装
9：其它';
comment on column DIM_HY_CRK_ZJXXB.JYXM is '检验项目参照LS/T 1704.1-2004 粮食信息分类与编码 粮食检验 第1部分 指标分类与代码';
comment on column DIM_HY_CRK_ZJXXB.HYSFHG is '检验结论以英文逗号分隔，与检验项目顺序保持一致';
comment on column DIM_HY_CRK_ZJXXB.PZMC is '品种名称';
comment on column DIM_HY_CRK_ZJXXB.RKSJ is '入库时间';
comment on column DIM_HY_CRK_ZJXXB.CCFS is '储存方式';
comment on column DIM_HY_CRK_ZJXXB.LSDJ is '粮食等级';
comment on column DIM_HY_CRK_ZJXXB.CYFF is '抽样方法';
comment on column DIM_HY_CRK_ZJXXB.CYLB is '抽样类别';
comment on column DIM_HY_CRK_ZJXXB.CDSF is '粮食产地(省)';
comment on column DIM_HY_CRK_ZJXXB.CDS is '粮食产地(市)';
comment on column DIM_HY_CRK_ZJXXB.CDX is '粮食产地(县)';
comment on column DIM_HY_CRK_ZJXXB.SHQRR is '收货确认人';
comment on column DIM_HY_CRK_ZJXXB.QYFS is '扦样方式0：人工
1：自动
2：智能随机
';
comment on column DIM_HY_CRK_ZJXXB.CD is '产地参考《库存粮食识别代码》（LS/T 1713-2015）的5.4.3中相关规定';
comment on column DIM_HY_CRK_ZJXXB.ZJRY is '质检人员';
comment on column DIM_HY_CRK_ZJXXB.HWBM is '货位编码18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码+2位货位编码，必须是阿拉伯数字和大写英文字母组合而成的29位，相同的货位编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_CRK_ZJXXB.cmsj is '出门时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_CRK_ZJXXB.cmqrmgryxm is '出门确认门岗人员姓名';
comment on column DIM_HY_CRK_ZJXXB.jsdbm is '结算单编码由库点代码+业务单号组成参考《粮食数据采集技术规范》（LST 1805-2016）的表9';
comment on column DIM_HY_CRK_ZJXXB.bcqx is '保存期限单位：天';
comment on column DIM_HY_CRK_ZJXXB.zxbz is '执行标准1：国标
2：其它';

comment on column DIM_HY_CRK_ZJXXB.zkj is '增扣价单位：元，以英文逗号分隔，与检验项目顺序保持一致';
comment on column DIM_HY_CRK_ZJXXB.zkl is '增扣量单位：公斤，以英文逗号分隔，与检验项目顺序保持一致';
comment on column DIM_HY_CRK_ZJXXB.zjkl is '质检扣量单位：公斤';
comment on column DIM_HY_CRK_ZJXXB.XCSL is '现场扣量单位：公斤';


--建表
create table DIM_HY_CRK_JJXXB (id varchar2(32),ZJLSH VARCHAR2(32),RKLSH VARCHAR2(32) not null,TXM VARCHAR2(15),MZ NUMBER(9,1) not null,PZ NUMBER(9,1) not null,CMSJ VARCHAR2(19) not null,PZSJ VARCHAR2(19) not null,MZJJY VARCHAR2(32),PZJJY VARCHAR2(32),BGYKS NUMBER(9,1),BGYKZ NUMBER(9,1),HGKLBL NUMBER(6,0),HGKL NUMBER(9,1),QTKL NUMBER(9,1),KLQJZ NUMBER(9,1),KLHJZ NUMBER(9,1) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(20),DWDM VARCHAR2(32),BGYXM VARCHAR2(32) not null,SBWZ VARCHAR2(1) not null,mzjby VARCHAR2(32) not null,pzjby VARCHAR2(32) not null);
--备注
comment on column DIM_HY_CRK_JJXXB.ZJLSH is '检斤流水号';
comment on column DIM_HY_CRK_JJXXB.RKLSH is '业务单号对应入库登记业务流水号，12位数字组成，头两位业务编码（按照1710-2004执行，14为入库，15为出库），依次两位年份、月份、日期，最后四位随机数。例如：141605041234';
comment on column DIM_HY_CRK_JJXXB.TXM is '出入库条码';
comment on column DIM_HY_CRK_JJXXB.MZ is '毛重单位：公斤';
comment on column DIM_HY_CRK_JJXXB.PZ is '皮重单位：公斤';
comment on column DIM_HY_CRK_JJXXB.CMSJ is '毛重计量时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_CRK_JJXXB.PZSJ is '皮重计量时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_CRK_JJXXB.MZJJY is '毛重计量员';
comment on column DIM_HY_CRK_JJXXB.PZJJY is '皮重计量员';
comment on column DIM_HY_CRK_JJXXB.BGYKS is '水分扣量单位：公斤';
comment on column DIM_HY_CRK_JJXXB.BGYKZ is '杂质扣量单位：公斤';
comment on column DIM_HY_CRK_JJXXB.HGKLBL is '烘干扣量比例';
comment on column DIM_HY_CRK_JJXXB.HGKL is '烘干扣量单位：公斤';
comment on column DIM_HY_CRK_JJXXB.QTKL is '其他扣量单位：公斤';
comment on column DIM_HY_CRK_JJXXB.KLQJZ is '扣量前净重单位：公斤';
comment on column DIM_HY_CRK_JJXXB.KLHJZ is '净重单位：公斤';
comment on column DIM_HY_CRK_JJXXB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_JJXXB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_JJXXB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_CRK_JJXXB.DWDM is '单位代码';
comment on column DIM_HY_CRK_JJXXB.BGYXM is '保管员姓名';
comment on column DIM_HY_CRK_JJXXB.SBWZ is '上磅位置0:不准确
1：准确
2：非地磅计量';
comment on column DIM_HY_CRK_JJXXB.mzjby is '毛重监磅员';
comment on column DIM_HY_CRK_JJXXB.pzjby is '皮重监磅员';


--建表
create table DIM_HY_CRK_ZCXXB (id varchar2(32),TXM VARCHAR2(15),RKLSH VARCHAR2(32) not null,CPHM VARCHAR2(20),CYRXM VARCHAR2(50),CYRSFZH VARCHAR2(18),CFBH VARCHAR2(3),HWBH VARCHAR2(32),SFXYFJ VARCHAR2(10),JXY VARCHAR2(20),ZCSJ VARCHAR2(20),ZCZT VARCHAR2(10),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(20),DWDM VARCHAR2(32),AJBH VARCHAR2(3),CD VARCHAR2(32) not null);
--备注
comment on column DIM_HY_CRK_ZCXXB.TXM is '出入库条码';
comment on column DIM_HY_CRK_ZCXXB.RKLSH is '登记流水号编码格式参考登记信息接口中业务编号的定义';
comment on column DIM_HY_CRK_ZCXXB.CPHM is '车牌号码';
comment on column DIM_HY_CRK_ZCXXB.CYRXM is '承运人姓名';
comment on column DIM_HY_CRK_ZCXXB.CYRSFZH is '承运人身份证号码';
comment on column DIM_HY_CRK_ZCXXB.CFBH is '仓房编码参考字典表';
comment on column DIM_HY_CRK_ZCXXB.HWBH is '货位编码参考字典表';
comment on column DIM_HY_CRK_ZCXXB.SFXYFJ is '是否需要复检';
comment on column DIM_HY_CRK_ZCXXB.JXY is '监卸员';
comment on column DIM_HY_CRK_ZCXXB.ZCSJ is '值仓时间';
comment on column DIM_HY_CRK_ZCXXB.ZCZT is '值仓状态';
comment on column DIM_HY_CRK_ZCXXB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_ZCXXB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_ZCXXB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_CRK_ZCXXB.DWDM is '单位代码';
comment on column DIM_HY_CRK_ZCXXB.AJBH is '厫间编号';
comment on column DIM_HY_CRK_ZCXXB.CD is '产地';

--建表
create table DIM_HY_CRK_JSXXB (id varchar2(32),JSLSH VARCHAR2(33) not null,RKLSH VARCHAR2(12) not null,TXM VARCHAR2(30),JHZXXH VARCHAR2(15),JHLRBH VARCHAR2(10),SLRXM VARCHAR2(50),SLRSFZH VARCHAR2(18),JSSL NUMBER(18,3) not null,DJ NUMBER(15,0),CD NUMBER(18,2) not null,LSXZ NUMBER(18,2) not null,JSYXM VARCHAR2(50) not null,JSRQ VARCHAR2(19) not null,SHRXM VARCHAR2(32) not null,SHSJ VARCHAR2(32),SHZT NUMBER(2,0),FPT VARCHAR2(20),FPHM VARCHAR2(10) not null,SLRKHH VARCHAR2(64),SLRKHHHH VARCHAR2(32) not null,SLRYHKH VARCHAR2(32) not null,FKFS VARCHAR2(20),FKZT VARCHAR2(8),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(20) not null,DWDM VARCHAR2(32),FPZT VARCHAR2(1) not null,hwbm VARCHAR2(29) not null,ywrq VARCHAR2(10) not null,htbm VARCHAR2(32),yhhbdm VARCHAR2(3),kdsh VARCHAR2(18));
--备注
comment on column DIM_HY_CRK_JSXXB.JSLSH is '结算流水号由库点代码+业务单号组成参考《粮食数据采集技术规范》（LST 1805-2016）的表9';
comment on column DIM_HY_CRK_JSXXB.RKLSH is '业务单号对应入库登记业务流水号，12位数字组成，头两位业务编码（按照1710-2004执行，14为入库，15为出库），依次两位年份、月份、日期，最后四位随机数。例如：141605041234';
comment on column DIM_HY_CRK_JSXXB.TXM is '出入库条码';
comment on column DIM_HY_CRK_JSXXB.JHZXXH is '计划执行序号';
comment on column DIM_HY_CRK_JSXXB.JHLRBH is '计划编号';
comment on column DIM_HY_CRK_JSXXB.SLRXM is '售粮人名称';
comment on column DIM_HY_CRK_JSXXB.SLRSFZH is '售粮人身份证号码';
comment on column DIM_HY_CRK_JSXXB.JSSL is '结算数量单位：公斤';
comment on column DIM_HY_CRK_JSXXB.DJ is '单价';
comment on column DIM_HY_CRK_JSXXB.CD is '结算价格单位：元/公斤';
comment on column DIM_HY_CRK_JSXXB.LSXZ is '结算金额单位：元';
comment on column DIM_HY_CRK_JSXXB.JSYXM is '结算员姓名';
comment on column DIM_HY_CRK_JSXXB.JSRQ is '结算时间格式：yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_CRK_JSXXB.SHRXM is '结算人姓名';
comment on column DIM_HY_CRK_JSXXB.SHSJ is '审核时间';
comment on column DIM_HY_CRK_JSXXB.SHZT is '审核状态';
comment on column DIM_HY_CRK_JSXXB.FPT is '发票头';
comment on column DIM_HY_CRK_JSXXB.FPHM is '发票号码';
comment on column DIM_HY_CRK_JSXXB.SLRKHH is '售粮人开户行';
comment on column DIM_HY_CRK_JSXXB.SLRKHHHH is '售粮人开户行号';
comment on column DIM_HY_CRK_JSXXB.SLRYHKH is '售粮人银行卡号';
comment on column DIM_HY_CRK_JSXXB.FKFS is '付款方式';
comment on column DIM_HY_CRK_JSXXB.FKZT is '付款状态';
comment on column DIM_HY_CRK_JSXXB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_JSXXB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_CRK_JSXXB.TYSHXYDM is '所属单位编码';
comment on column DIM_HY_CRK_JSXXB.DWDM is '单位代码';
comment on column DIM_HY_CRK_JSXXB.FPZT is '发票状态1：正常
0：作废';
comment on column DIM_HY_CRK_JSXXB.hwbm is '货位编码18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码+2位货位编码，必须是阿拉伯数字和大写英文字母组合而成的29位，相同的货位编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_CRK_JSXXB.ywrq is '业务日期格式：yyyy-MM-dd';
comment on column DIM_HY_CRK_JSXXB.htbm is '合同编码';
comment on column DIM_HY_CRK_JSXXB.yhhbdm is '银行行别代码103 ：中国农业银行
402 ：农村信用合作社
314 ：农村商业银行
102 ：中国工商银行
105：中国建设银行
104：中国银行
403：中国邮政储蓄
999：其它银行';
comment on column DIM_HY_CRK_JSXXB.kdsh is '库点税号';

--建表
create table DIM_HY_LSCC_BGTZB (id varchar2(32),SSCFBH VARCHAR2(8),HWBH VARCHAR2(29) not null,ZKXH VARCHAR2(32),DWMC VARCHAR2(50),DWDM VARCHAR2(32) not null,TKRQ VARCHAR2(32),CXDM VARCHAR2(10),CFSJCR NUMBER(18,0),KCSL NUMBER(18,0),LYSX VARCHAR2(32),PZDM VARCHAR2(32),DJDM VARCHAR2(20),DQDM VARCHAR2(6),RZ NUMBER(4,0),BWSL NUMBER(4,0),SF NUMBER(4,0),ZZ NUMBER(5,0),SZDM VARCHAR2(50),CCL NUMBER(4,0),ZJML NUMBER(4,0),RKSJ VARCHAR2(19) not null,RKJG NUMBER(9,0),FFDM VARCHAR2(10),ZLQK VARCHAR2(10),HCQK VARCHAR2(10),CLDD VARCHAR2(128),BMDM VARCHAR2(10),ZGBH VARCHAR2(10),JXTFQK VARCHAR2(1),SDQK VARCHAR2(1),DWQK VARCHAR2(1),DZCW VARCHAR2(1),HLXZ VARCHAR2(1),QTSB VARCHAR2(1),JHXDBH VARCHAR2(10),ZHZT VARCHAR2(4000),KCSBM VARCHAR2(2),HWZT VARCHAR2(1),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(20),KDDM VARCHAR2(32),CFBH VARCHAR2(3) not null,ND VARCHAR2(4) not null,QJ VARCHAR2(2) not null,YWH VARCHAR2(32) not null,PZBM VARCHAR2(7) not null,LSXZBM VARCHAR2(3) not null,CZHDJG NUMBER(10,2),DJBM VARCHAR2(2) not null,GB VARCHAR2(6) not null,CD VARCHAR2(6) not null,LQGSDWBM VARCHAR2(18) not null,LQGSMC VARCHAR2(64) not null,NCKC NUMBER(10,0) not null,QCKC NUMBER(10,0) not null,BQSR NUMBER(10,0) not null,BQZC NUMBER(10,0) not null,QMKC NUMBER(10,0) not null,AJBH VARCHAR2(3),SHND VARCHAR2(4) not null,BGYBM VARCHAR2(32),SHRBM VARCHAR2(32) not null,FCSJ VARCHAR2(19) not null,fcsl NUMBER,qcsj VARCHAR2(19));
--备注
comment on column DIM_HY_LSCC_BGTZB.SSCFBH is '仓号';
comment on column DIM_HY_LSCC_BGTZB.HWBH is '货位编码18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码+2位货位编码，必须是阿拉伯数字和大写英文字母组合而成的29位，相同的货位编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_LSCC_BGTZB.ZKXH is '专卡序号';
comment on column DIM_HY_LSCC_BGTZB.DWMC is '单位名称';
comment on column DIM_HY_LSCC_BGTZB.DWDM is '单位代码';
comment on column DIM_HY_LSCC_BGTZB.TKRQ is '填卡日期';
comment on column DIM_HY_LSCC_BGTZB.CXDM is '仓型代码';
comment on column DIM_HY_LSCC_BGTZB.CFSJCR is '设计仓容';
comment on column DIM_HY_LSCC_BGTZB.KCSL is '库存数量';
comment on column DIM_HY_LSCC_BGTZB.LYSX is '粮油属性代码';
comment on column DIM_HY_LSCC_BGTZB.PZDM is '品种';
comment on column DIM_HY_LSCC_BGTZB.DJDM is '等级';
comment on column DIM_HY_LSCC_BGTZB.DQDM is '产地代码';
comment on column DIM_HY_LSCC_BGTZB.RZ is '容重%';
comment on column DIM_HY_LSCC_BGTZB.BWSL is '不完善粒%';
comment on column DIM_HY_LSCC_BGTZB.SF is '水分%';
comment on column DIM_HY_LSCC_BGTZB.ZZ is '杂质%';
comment on column DIM_HY_LSCC_BGTZB.SZDM is '色泽气味';
comment on column DIM_HY_LSCC_BGTZB.CCL is '出糙率%';
comment on column DIM_HY_LSCC_BGTZB.ZJML is '整精米率%';
comment on column DIM_HY_LSCC_BGTZB.RKSJ is '入库时间yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_LSCC_BGTZB.RKJG is '入库价格';
comment on column DIM_HY_LSCC_BGTZB.FFDM is '保管方法代码';
comment on column DIM_HY_LSCC_BGTZB.ZLQK is '质量情况';
comment on column DIM_HY_LSCC_BGTZB.HCQK is '害虫情况';
comment on column DIM_HY_LSCC_BGTZB.CLDD is '储粮地点';
comment on column DIM_HY_LSCC_BGTZB.BMDM is '保管班组代码';
comment on column DIM_HY_LSCC_BGTZB.ZGBH is '保管员代码';
comment on column DIM_HY_LSCC_BGTZB.JXTFQK is '机械通风情况';
comment on column DIM_HY_LSCC_BGTZB.SDQK is '双低情况';
comment on column DIM_HY_LSCC_BGTZB.DWQK is '低温情况';
comment on column DIM_HY_LSCC_BGTZB.DZCW is '电子测温';
comment on column DIM_HY_LSCC_BGTZB.HLXZ is '环流熏蒸';
comment on column DIM_HY_LSCC_BGTZB.QTSB is '其他设备';
comment on column DIM_HY_LSCC_BGTZB.JHXDBH is '计划下达编号';
comment on column DIM_HY_LSCC_BGTZB.ZHZT is '专卡状态';
comment on column DIM_HY_LSCC_BGTZB.KCSBM is '库存识别码';
comment on column DIM_HY_LSCC_BGTZB.HWZT is '货位状态';
comment on column DIM_HY_LSCC_BGTZB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_LSCC_BGTZB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_LSCC_BGTZB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_LSCC_BGTZB.KDDM is '库区编码';
comment on column DIM_HY_LSCC_BGTZB.CFBH is '仓房编码';
comment on column DIM_HY_LSCC_BGTZB.ND is '年度';
comment on column DIM_HY_LSCC_BGTZB.QJ is '期间';
comment on column DIM_HY_LSCC_BGTZB.YWH is '业务号/合同号';
comment on column DIM_HY_LSCC_BGTZB.PZBM is '粮食品种编码参考表4-1主要粮食及加工产品分类与代码表';
comment on column DIM_HY_LSCC_BGTZB.LSXZBM is '粮食性质编码参考表4-2粮食性质代码表';
comment on column DIM_HY_LSCC_BGTZB.CZHDJG is '财政核定价格单位：元/公斤
默认值0';
comment on column DIM_HY_LSCC_BGTZB.DJBM is '粮食等级代码参考表4-3等级代码表';
comment on column DIM_HY_LSCC_BGTZB.GB is '国别参照;GB/T2659-2000';
comment on column DIM_HY_LSCC_BGTZB.CD is '产地参考《库存粮食识别代码》（LS/T 1713-2015）的5.4.3中相关规定';
comment on column DIM_HY_LSCC_BGTZB.LQGSDWBM is '粮权归属单位编码';
comment on column DIM_HY_LSCC_BGTZB.LQGSMC is '粮权归属单位名称';
comment on column DIM_HY_LSCC_BGTZB.NCKC is '年初库存单位:公斤';
comment on column DIM_HY_LSCC_BGTZB.QCKC is '期初库存单位:公斤';
comment on column DIM_HY_LSCC_BGTZB.BQSR is '本期收入单位:公斤';
comment on column DIM_HY_LSCC_BGTZB.BQZC is '本期支出单位:公斤';
comment on column DIM_HY_LSCC_BGTZB.QMKC is '期末库存单位:公斤';
comment on column DIM_HY_LSCC_BGTZB.AJBH is '厫间编号';
comment on column DIM_HY_LSCC_BGTZB.SHND is '收获年度';
comment on column DIM_HY_LSCC_BGTZB.BGYBM is '保管员编码';
comment on column DIM_HY_LSCC_BGTZB.SHRBM is '审核人编码';
comment on column DIM_HY_LSCC_BGTZB.FCSJ is '封仓时间yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_LSCC_BGTZB.fcsl is '封仓数量单位:公斤';
comment on column DIM_HY_LSCC_BGTZB.qcsj is '清仓时间yyyy-MM-dd HH:mm:ss';


--建表
create table DIM_HY_LSCC_ZCZJXXB (id varchar2(32),ZJLSH VARCHAR2(33) not null,hwbm VARCHAR2(29) not null,JYLB VARCHAR2(15) not null,JYSJ VARCHAR2(32) not null,PZ VARCHAR2(32) not null,DJ VARCHAR2(20) not null,SHND VARCHAR2(4),LSXZ VARCHAR2(3) not null,QYR VARCHAR2(50) not null,QYSL NUMBER(9,0) not null,JYR VARCHAR2(50),SFHG VARCHAR2(10),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(20),DWDM VARCHAR2(32),CCFSBM VARCHAR2(32),SXH VARCHAR2(6),JYYJ VARCHAR2(1) not null,JYXM VARCHAR2(500) not null,CFBH VARCHAR2(64) not null,HWBH VARCHAR2(33) not null,PZRXM VARCHAR2(33) not null,ZKRQ VARCHAR2(10) not null,SHBZ VARCHAR2(32),LRRXM VARCHAR2(32),LRSJ VARCHAR2(32),RKNX NUMBER(4,0) not null,SKDJBM VARCHAR2(2) not null,ZSBH VARCHAR2(32) not null,GGXH VARCHAR2(32),YSYNX NUMBER(10,0),QYDBH VARCHAR2(6),YPBH VARCHAR2(32) not null,QYDW VARCHAR2(32) not null,QYLB VARCHAR2(32) not null,CPH VARCHAR2(32) not null,BCQX NUMBER(4,0),CFMC VARCHAR2(32),HWMC VARCHAR2(32),QYRQ VARCHAR2(8) not null,QYDD VARCHAR2(32) not null,SYRXM VARCHAR2(32) not null,YPSL NUMBER(15,0) not null,DBSL NUMBER(15,0) not null,YPZT VARCHAR2(1) not null,JYJL VARCHAR2(1000) not null,HYSFHG VARCHAR2(1) not null,PZBM VARCHAR2(7) not null,PZMC VARCHAR2(32),RKSJ VARCHAR2(32) not null,CCFS VARCHAR2(32) not null,LSDJ VARCHAR2(2) not null,CYFF VARCHAR2(32),CYLB VARCHAR2(32),CDSF VARCHAR2(32),CDS VARCHAR2(32),CDX VARCHAR2(32),SHQRR VARCHAR2(32));
--备注
comment on column DIM_HY_LSCC_ZCZJXXB.ZJLSH is '质检流水号';
comment on column DIM_HY_LSCC_ZCZJXXB.hwbm is '货位编码具体编码格式参考表货位信息数据接口中货位编码的定义';
comment on column DIM_HY_LSCC_ZCZJXXB.JYLB is '检验类别01：入仓验收
02：出仓检验
03：3月末普检
04：9月末普检
05：入仓初检
06：月度检查
07：3月末库内普查
08：9月末库内普查';
comment on column DIM_HY_LSCC_ZCZJXXB.JYSJ is '检验时间yyyy-MM-dd';
comment on column DIM_HY_LSCC_ZCZJXXB.PZ is '品种参考表4-1主要粮食及加工产品分类与代码表';
comment on column DIM_HY_LSCC_ZCZJXXB.DJ is '等级参考表4-3等级代码表';
comment on column DIM_HY_LSCC_ZCZJXXB.SHND is '收获年度';
comment on column DIM_HY_LSCC_ZCZJXXB.LSXZ is '粮食性质参考表4-2粮食性质代码表';
comment on column DIM_HY_LSCC_ZCZJXXB.QYR is '扦样人';
comment on column DIM_HY_LSCC_ZCZJXXB.QYSL is '扦样数量单位：公斤';
comment on column DIM_HY_LSCC_ZCZJXXB.JYR is '检验人';
comment on column DIM_HY_LSCC_ZCZJXXB.SFHG is '是否合格';
comment on column DIM_HY_LSCC_ZCZJXXB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_LSCC_ZCZJXXB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_LSCC_ZCZJXXB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_LSCC_ZCZJXXB.DWDM is '单位代码';
comment on column DIM_HY_LSCC_ZCZJXXB.CCFSBM is '储存方式编码';
comment on column DIM_HY_LSCC_ZCZJXXB.SXH is '顺序号';
comment on column DIM_HY_LSCC_ZCZJXXB.JYYJ is '检验依据 1：国标 0：其他';
comment on column DIM_HY_LSCC_ZCZJXXB.JYXM is '检验项目参照：LS-T 1704.1-2004粮食信息分类与编码粮食检验';
comment on column DIM_HY_LSCC_ZCZJXXB.CFBH is '扦样仓房编码参考字典表';
comment on column DIM_HY_LSCC_ZCZJXXB.HWBH is '扦样货位编码参考字典表';
comment on column DIM_HY_LSCC_ZCZJXXB.PZRXM is '批准人姓名';
comment on column DIM_HY_LSCC_ZCZJXXB.ZKRQ is '入库日期yyyy-MM-dd';
comment on column DIM_HY_LSCC_ZCZJXXB.SHBZ is '审核标志';
comment on column DIM_HY_LSCC_ZCZJXXB.LRRXM is '录入人姓名';
comment on column DIM_HY_LSCC_ZCZJXXB.LRSJ is '录入时间';
comment on column DIM_HY_LSCC_ZCZJXXB.RKNX is '入库年限';
comment on column DIM_HY_LSCC_ZCZJXXB.SKDJBM is '入库等级编码';
comment on column DIM_HY_LSCC_ZCZJXXB.ZSBH is '证书编码';
comment on column DIM_HY_LSCC_ZCZJXXB.GGXH is '规格/型号';
comment on column DIM_HY_LSCC_ZCZJXXB.YSYNX is '已使用年限 默认值：-1';
comment on column DIM_HY_LSCC_ZCZJXXB.QYDBH is '扦样单编码';
comment on column DIM_HY_LSCC_ZCZJXXB.YPBH is '样品编码';
comment on column DIM_HY_LSCC_ZCZJXXB.QYDW is '扦样单位';
comment on column DIM_HY_LSCC_ZCZJXXB.QYLB is '扦样类别';
comment on column DIM_HY_LSCC_ZCZJXXB.CPH is '车皮号';
comment on column DIM_HY_LSCC_ZCZJXXB.BCQX is '保存期限';
comment on column DIM_HY_LSCC_ZCZJXXB.CFMC is '扦样仓房名称';
comment on column DIM_HY_LSCC_ZCZJXXB.HWMC is '扦样货位名称';
comment on column DIM_HY_LSCC_ZCZJXXB.QYRQ is '扦样日期格式 yyyy-MM-dd';
comment on column DIM_HY_LSCC_ZCZJXXB.QYDD is '扦样地点';
comment on column DIM_HY_LSCC_ZCZJXXB.SYRXM is '送样人姓名';
comment on column DIM_HY_LSCC_ZCZJXXB.YPSL is '样品数量单位：公斤';
comment on column DIM_HY_LSCC_ZCZJXXB.DBSL is '代表数量单位：公斤';
comment on column DIM_HY_LSCC_ZCZJXXB.YPZT is '样品状态0：完好1：可检2：塑料袋装3：塑料瓶装';
comment on column DIM_HY_LSCC_ZCZJXXB.JYJL is '检验结论以英文逗号分隔，与检验项目顺序保持一致';
comment on column DIM_HY_LSCC_ZCZJXXB.HYSFHG is '化验是否合格0：不合格1：合格';
comment on column DIM_HY_LSCC_ZCZJXXB.PZBM is '粮食品种编码参考表4-1主要粮食及加工产品分类与代码表';
comment on column DIM_HY_LSCC_ZCZJXXB.PZMC is '品种名称';
comment on column DIM_HY_LSCC_ZCZJXXB.RKSJ is '入库时间yyyy-MM-dd';
comment on column DIM_HY_LSCC_ZCZJXXB.CCFS is '储存方式';
comment on column DIM_HY_LSCC_ZCZJXXB.LSDJ is '粮食等级参考表4-3等级代码表';
comment on column DIM_HY_LSCC_ZCZJXXB.CYFF is '抽样方法';
comment on column DIM_HY_LSCC_ZCZJXXB.CYLB is '抽样类别';
comment on column DIM_HY_LSCC_ZCZJXXB.CDSF is '粮食产地(省)';
comment on column DIM_HY_LSCC_ZCZJXXB.CDS is '粮食产地(市)';
comment on column DIM_HY_LSCC_ZCZJXXB.CDX is '粮食产地(县)';
comment on column DIM_HY_LSCC_ZCZJXXB.SHQRR is '收货确认人';


--建表
create table DIM_HY_LSCC_ZCZJMXB1 (id varchar2(32),ZJMXLSH VARCHAR2(33),ZJLSH VARCHAR2(33) not null,JYXMBH VARCHAR2(8) not null,JYJL VARCHAR2(1000) not null,CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(20),DWDM VARCHAR2(32) not null,QYDW VARCHAR2(32),QYLB VARCHAR2(32),CPH VARCHAR2(32),CFBH VARCHAR2(24) not null,CFMC VARCHAR2(32),QYRQ VARCHAR2(10) not null,QYRXM VARCHAR2(32) not null,QYDBH VARCHAR2(64),QYR VARCHAR2(50),QYSL NUMBER(9,0) not null,DBSL NUMBER not null,YPZT VARCHAR2(1),JYXM VARCHAR2(500) not null,PZBM VARCHAR2(7) not null,PZMC VARCHAR2(32),RKSJ VARCHAR2(32),CCFS VARCHAR2(32),LSDJ VARCHAR2(2) not null,CYFF VARCHAR2(32),CYLB VARCHAR2(32),CDSF VARCHAR2(32),CDS VARCHAR2(32),CDX VARCHAR2(32),SHQRR VARCHAR2(32),LSXZ VARCHAR2(3),SHND VARCHAR2(4),QYDD VARCHAR2(32) not null,ZJBGDBH VARCHAR2(25) not null,PZNM VARCHAR2(32),CCFSBM VARCHAR2(32) not null,SKDJBM VARCHAR2(2) not null,JYLBBM VARCHAR2(2) not null,JYRQ VARCHAR2(10) not null,JYDW VARCHAR2(64) not null,JYYJ VARCHAR2(1) not null,HWBH VARCHAR2(29) not null,YPSL NUMBER not null,ZJJG VARCHAR2(32) not null,BZ VARCHAR2(128),PZRNM VARCHAR2(32),PZRXM VARCHAR2(32),PZBZ VARCHAR2(32),QFRQ VARCHAR2(10),RKRQ VARCHAR2(10) not null,SHRNM VARCHAR2(32),SHRXM VARCHAR2(32) not null,SHBZ VARCHAR2(32),LRRNM VARCHAR2(32),LRRXM VARCHAR2(32) not null,LRSJ VARCHAR2(19) not null,QYRNM VARCHAR2(32),JDRXM VARCHAR2(32),JDRNM VARCHAR2(32),RKNX NUMBER not null,YPDJ VARCHAR2(2) not null,ZSBH VARCHAR2(32) not null);
--备注
comment on column DIM_HY_LSCC_ZCZJMXB1.ZJMXLSH is '质检明细流水号';
comment on column DIM_HY_LSCC_ZCZJMXB1.ZJLSH is '质检流水号';
comment on column DIM_HY_LSCC_ZCZJMXB1.JYXMBH is '检验项目编号';
comment on column DIM_HY_LSCC_ZCZJMXB1.JYJL is '检验结论以英文逗号分隔，与检验项目顺序保持一致';
comment on column DIM_HY_LSCC_ZCZJMXB1.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_LSCC_ZCZJMXB1.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_LSCC_ZCZJMXB1.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_LSCC_ZCZJMXB1.DWDM is '单位代码参考字典表';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYDW is '扦样单位';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYLB is '扦样类别';
comment on column DIM_HY_LSCC_ZCZJMXB1.CPH is '车皮号';
comment on column DIM_HY_LSCC_ZCZJMXB1.CFBH is '扦样仓房编码参考字典表';
comment on column DIM_HY_LSCC_ZCZJMXB1.CFMC is '扦样仓房名称';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYRQ is '扦样日期yyyy-MM-dd';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYRXM is '扦样人姓名';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYDBH is '扦样单编码';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYR is '扦样人';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYSL is '扦样数量';
comment on column DIM_HY_LSCC_ZCZJMXB1.DBSL is '代表数量单位：公斤';
comment on column DIM_HY_LSCC_ZCZJMXB1.YPZT is '样品状态 0：完好 1：可检 2：塑料袋装 3：塑料瓶装';
comment on column DIM_HY_LSCC_ZCZJMXB1.JYXM is '检验项目参照：LS-T 1704.1-2004粮食信息分类与编码粮食检验';
comment on column DIM_HY_LSCC_ZCZJMXB1.PZBM is '粮食品种编码参考表4-1主要粮食及加工产品分类与代码表';
comment on column DIM_HY_LSCC_ZCZJMXB1.PZMC is '品种名称';
comment on column DIM_HY_LSCC_ZCZJMXB1.RKSJ is '入库时间';
comment on column DIM_HY_LSCC_ZCZJMXB1.CCFS is '储存方式';
comment on column DIM_HY_LSCC_ZCZJMXB1.LSDJ is '粮食等级参考表4-3等级代码表';
comment on column DIM_HY_LSCC_ZCZJMXB1.CYFF is '抽样方法';
comment on column DIM_HY_LSCC_ZCZJMXB1.CYLB is '抽样类别';
comment on column DIM_HY_LSCC_ZCZJMXB1.CDSF is '粮食产地(省)';
comment on column DIM_HY_LSCC_ZCZJMXB1.CDS is '粮食产地(市)';
comment on column DIM_HY_LSCC_ZCZJMXB1.CDX is '粮食产地(县)';
comment on column DIM_HY_LSCC_ZCZJMXB1.SHQRR is '收货确认人';
comment on column DIM_HY_LSCC_ZCZJMXB1.LSXZ is '粮食性质编码参考表4-2粮食性质代码表';
comment on column DIM_HY_LSCC_ZCZJMXB1.SHND is '收获年度';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYDD is '扦样地点';
comment on column DIM_HY_LSCC_ZCZJMXB1.ZJBGDBH is '质检报告单编码';
comment on column DIM_HY_LSCC_ZCZJMXB1.PZNM is '品种内码参考字典表';
comment on column DIM_HY_LSCC_ZCZJMXB1.CCFSBM is '储存方式编码';
comment on column DIM_HY_LSCC_ZCZJMXB1.SKDJBM is '入库等级编码参考字典表';
comment on column DIM_HY_LSCC_ZCZJMXB1.JYLBBM is '检验类别编码01：入仓验收
02：出仓检验
03：3月末普检
04：9月末普检
05：入仓初检
06：月度检查
07：3月末库内普查
08：9月末库内普查';
comment on column DIM_HY_LSCC_ZCZJMXB1.JYRQ is '检验日期yyyy-MM-dd';
comment on column DIM_HY_LSCC_ZCZJMXB1.JYDW is '检验单位';
comment on column DIM_HY_LSCC_ZCZJMXB1.JYYJ is '检验依据1：国标
0：其他';
comment on column DIM_HY_LSCC_ZCZJMXB1.HWBH is '货位编码18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码+2位货位编码，必须是阿拉伯数字和大写英文字母组合而成的29位，相同的货位编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_LSCC_ZCZJMXB1.YPSL is '样品数量单位：公斤';
comment on column DIM_HY_LSCC_ZCZJMXB1.ZJJG is '质检结果';
comment on column DIM_HY_LSCC_ZCZJMXB1.BZ is '备注';
comment on column DIM_HY_LSCC_ZCZJMXB1.PZRNM is '批准人内码';
comment on column DIM_HY_LSCC_ZCZJMXB1.PZRXM is '批准人姓名';
comment on column DIM_HY_LSCC_ZCZJMXB1.PZBZ is '批准标志';
comment on column DIM_HY_LSCC_ZCZJMXB1.QFRQ is '签发日期yyyy-MM-dd';
comment on column DIM_HY_LSCC_ZCZJMXB1.RKRQ is '入库日期yyyy-MM-dd';
comment on column DIM_HY_LSCC_ZCZJMXB1.SHRNM is '审核人内码';
comment on column DIM_HY_LSCC_ZCZJMXB1.SHRXM is '审核人姓名';
comment on column DIM_HY_LSCC_ZCZJMXB1.SHBZ is '审核标志';
comment on column DIM_HY_LSCC_ZCZJMXB1.LRRNM is '录入人内码';
comment on column DIM_HY_LSCC_ZCZJMXB1.LRRXM is '录入人姓名';
comment on column DIM_HY_LSCC_ZCZJMXB1.LRSJ is '录入时间格式yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_LSCC_ZCZJMXB1.QYRNM is '扦样人内码';
comment on column DIM_HY_LSCC_ZCZJMXB1.JDRXM is '监督人姓名';
comment on column DIM_HY_LSCC_ZCZJMXB1.JDRNM is '监督人内码';
comment on column DIM_HY_LSCC_ZCZJMXB1.RKNX is '入库年限';
comment on column DIM_HY_LSCC_ZCZJMXB1.YPDJ is '样品等级参考表4-3等级代码表';
comment on column DIM_HY_LSCC_ZCZJMXB1.ZSBH is '证书编码';



--建表
create table DIM_HY_LSCC_LQJCXXB (id varchar2(32),CFBH VARCHAR2(32) not null,CFMC VARCHAR2(32),DWDM VARCHAR2(11),CLPZ VARCHAR2(7),CLSL NUMBER(18,0),CLXZ VARCHAR2(3),JCBH VARCHAR2(29) not null,QW NUMBER(10,0),LSSF NUMBER(4,0),QS NUMBER(10,0),LWZT VARCHAR2(1),LDTJ NUMBER(10,0),LWZJH CLOB not null,LWZBJH CLOB,EYHTND NUMBER(10,0),YQND NUMBER(10,0),DQND NUMBER(10,0),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),JCSJ VARCHAR2(19) not null,TYSHXYDM VARCHAR2(18) not null,CFWW NUMBER(10,4) not null,CFWS NUMBER(10,4) not null,LQJCBGBH VARCHAR2(64) not null,TBDWDM VARCHAR2(32) not null,JCDWDM VARCHAR2(32) not null,HWBH VARCHAR2(29) not null,BGLB VARCHAR2(1),TQ VARCHAR2(32) not null,CNSD NUMBER(10,4) not null,CNWD NUMBER(10,4) not null,CHQK VARCHAR2(1),JLMBQK VARCHAR2(64) not null,QJWSQK VARCHAR2(64) not null,ZGLW NUMBER(10,4) not null,ZDLW NUMBER(10,4) not null,PJLW NUMBER(10,4) not null,CJRYXM VARCHAR2(256) not null,JCXZDM VARCHAR2(1),JCNR VARCHAR2(200) not null,FXWT VARCHAR2(200) not null,LRRXM VARCHAR2(32) not null,LRSJ VARCHAR2(32) not null,lssdzjh VARCHAR2（2000） not null,lssfzjh VARCHAR2（2000） not null);
--备注
comment on column DIM_HY_LSCC_LQJCXXB.CFBH is '仓房编码';
comment on column DIM_HY_LSCC_LQJCXXB.CFMC is '仓房名称';
comment on column DIM_HY_LSCC_LQJCXXB.DWDM is '单位代码';
comment on column DIM_HY_LSCC_LQJCXXB.CLPZ is '储粮品种参考表4-1主要粮食及加工产品分类与代码表';
comment on column DIM_HY_LSCC_LQJCXXB.CLSL is '储粮数量';
comment on column DIM_HY_LSCC_LQJCXXB.CLXZ is '储粮性质参考表4-2粮食性质代码表';
comment on column DIM_HY_LSCC_LQJCXXB.JCBH is '检测编号由货位编码+监测日期（yyyyMMdd）+4位顺序号组成';
comment on column DIM_HY_LSCC_LQJCXXB.QW is '气温';
comment on column DIM_HY_LSCC_LQJCXXB.LSSF is '粮食水分';
comment on column DIM_HY_LSCC_LQJCXXB.QS is '气湿';
comment on column DIM_HY_LSCC_LQJCXXB.LWZT is '粮温状态';
comment on column DIM_HY_LSCC_LQJCXXB.LDTJ is '粮堆体积';
comment on column DIM_HY_LSCC_LQJCXXB.LWZJH is '粮温值集合摄氏度，层行列值集合，“|”分隔，格式为“温度值，层数，行数，列数”；坏点值为-100。
检测点排序方法参考《LST 1713-2015 库存粮食识别代码》D.5粮仓检测点排序方法部分。
277,1,1,1|251,1,1,2|246,1,1,3|263,1,2,1|193,1,2,2|193,1,2,3|277,2,1,1|251,2,1,2|246,2,1,3|263,2,2,1|193,2,2,2|193,2,2,3
';
comment on column DIM_HY_LSCC_LQJCXXB.LWZBJH is '粮温坐标集合';
comment on column DIM_HY_LSCC_LQJCXXB.EYHTND is '二氧化碳浓度';
comment on column DIM_HY_LSCC_LQJCXXB.YQND is '氧气浓度';
comment on column DIM_HY_LSCC_LQJCXXB.DQND is '氮气浓度';
comment on column DIM_HY_LSCC_LQJCXXB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_LSCC_LQJCXXB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_LSCC_LQJCXXB.JCSJ is '检测时间yyyy-MM-dd HH:mm:ss';
comment on column DIM_HY_LSCC_LQJCXXB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_LSCC_LQJCXXB.CFWW is '仓房外温摄氏度，默认为0';
comment on column DIM_HY_LSCC_LQJCXXB.CFWS is '仓房外湿百分比，默认为0';
comment on column DIM_HY_LSCC_LQJCXXB.LQJCBGBH is '粮情检查报告编码由货位编码+监测日期（yyyyMMdd）+4位顺序号组成';
comment on column DIM_HY_LSCC_LQJCXXB.TBDWDM is '填报单位代码18位统一社会信用代码';
comment on column DIM_HY_LSCC_LQJCXXB.JCDWDM is '检查单位代码18位统一社会信用代码';
comment on column DIM_HY_LSCC_LQJCXXB.HWBH is '货位编码18位统一社会信用代码+3位库区编码组成+3位仓房编码+3位廒间编码+2位货位编码，必须是阿拉伯数字和大写英文字母组合而成的29位，相同的货位编码为一条数据，以最新上传的数据为准';
comment on column DIM_HY_LSCC_LQJCXXB.BGLB is '报告类别1：季报
2：月报
3：周报
4：其他';
comment on column DIM_HY_LSCC_LQJCXXB.TQ is '天气';
comment on column DIM_HY_LSCC_LQJCXXB.CNSD is '仓内湿度百分比，默认为0（不可空)';
comment on column DIM_HY_LSCC_LQJCXXB.CNWD is '仓内温度摄氏度';
comment on column DIM_HY_LSCC_LQJCXXB.CHQK is '虫害情况0：无虫害1：一般2：严重3：危险';
comment on column DIM_HY_LSCC_LQJCXXB.JLMBQK is '结露霉变情况';
comment on column DIM_HY_LSCC_LQJCXXB.QJWSQK is '清洁卫生情况';
comment on column DIM_HY_LSCC_LQJCXXB.ZGLW is '最高粮温摄氏度，默认为0';
comment on column DIM_HY_LSCC_LQJCXXB.ZDLW is '最低粮温摄氏度，默认为0';
comment on column DIM_HY_LSCC_LQJCXXB.PJLW is '平均粮温摄氏度，默认为0';
comment on column DIM_HY_LSCC_LQJCXXB.CJRYXM is '参加人员姓名';
comment on column DIM_HY_LSCC_LQJCXXB.JCXZDM is '检查性质代码0：日常检查
1：抽查
2：其他';
comment on column DIM_HY_LSCC_LQJCXXB.JCNR is '检查内容';
comment on column DIM_HY_LSCC_LQJCXXB.FXWT is '发现问题';
comment on column DIM_HY_LSCC_LQJCXXB.LRRXM is '录入人姓名';
comment on column DIM_HY_LSCC_LQJCXXB.LRSJ is '录入时间';
comment on column DIM_HY_LSCC_LQJCXXB.lssdzjh is '粮食湿度值集合百分比，内容格式 同上，坏点值为-1';
comment on column DIM_HY_LSCC_LQJCXXB.lssfzjh is '粮食水分值集合百分比，内容格式同上，坏点值为-1';

--建表
create table DIM_HY_SPJKXX (id varchar2(32),sbbh VARCHAR2(24) not null,DWDM VARCHAR2(11) not null,TYSHXYDM VARCHAR2(18) not null,SBMC VARCHAR2(32) not null,SBLXNM VARCHAR2(3) not null,SBLXMC VARCHAR2(32) not null,KQBH VARCHAR2(21),KQMC VARCHAR2(64),CFBH VARCHAR2(24),CFMC VARCHAR2(32),JKLB VARCHAR2(1) not null,SBCS VARCHAR2(32) not null,SBXH VARCHAR2(32) not null,SBXLH VARCHAR2(32),IP VARCHAR2(32) not null,MAC VARCHAR2(50),DK VARCHAR2(32) not null,SXTDK VARCHAR2(10),SXTTDH VARCHAR2(32) not null,ZWYM VARCHAR2(32) not null,WGDZ VARCHAR2(32) not null,YHM VARCHAR2(32) not null,MM VARCHAR2(32) not null,SFSC VARCHAR2(1),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),SXTIP VARCHAR2(32) not null);
--备注
comment on column DIM_HY_SPJKXX.sbbh is '设备编码18位社会统一信用代码+6位设备编码';
comment on column DIM_HY_SPJKXX.DWDM is '单位代码参考字典表';
comment on column DIM_HY_SPJKXX.TYSHXYDM is '统一社会信用代码18位社会统一信用代码(单位编码)';
comment on column DIM_HY_SPJKXX.SBMC is '设备名称';
comment on column DIM_HY_SPJKXX.SBLXNM is '设备类型编码001：DVR
002：NVR';
comment on column DIM_HY_SPJKXX.SBLXMC is '设备类型名称';
comment on column DIM_HY_SPJKXX.KQBH is '库区编码当监控类别是库区监控的时候只填写库区编码，当监控类别是仓内监控的时候同时填写仓房编码';
comment on column DIM_HY_SPJKXX.KQMC is '库区名称';
comment on column DIM_HY_SPJKXX.CFBH is '仓房编码';
comment on column DIM_HY_SPJKXX.CFMC is '仓房名称';
comment on column DIM_HY_SPJKXX.JKLB is '监控类别0：仓内监控
1：库区监控';
comment on column DIM_HY_SPJKXX.SBCS is '设备厂商';
comment on column DIM_HY_SPJKXX.SBXH is '设备型号';
comment on column DIM_HY_SPJKXX.SBXLH is '设备序列号';
comment on column DIM_HY_SPJKXX.IP is '视频平台IP';
comment on column DIM_HY_SPJKXX.MAC is 'MAC地址';
comment on column DIM_HY_SPJKXX.DK is '视频平台端口';
comment on column DIM_HY_SPJKXX.SXTDK is '摄像头端口如果是库区的硬盘录像机，可以为可空';
comment on column DIM_HY_SPJKXX.SXTTDH is '摄像头通道号';
comment on column DIM_HY_SPJKXX.ZWYM is '子网掩码';
comment on column DIM_HY_SPJKXX.WGDZ is '网关地址';
comment on column DIM_HY_SPJKXX.YHM is '用户名';
comment on column DIM_HY_SPJKXX.MM is '密码';
comment on column DIM_HY_SPJKXX.SFSC is '是否删除1：删除
0：不删除
空值默认为不删除
';
comment on column DIM_HY_SPJKXX.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_SPJKXX.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_SPJKXX.SXTIP is '摄像头IP';


--建表
create table DIM_HY_HTXXB (id varchar2(32),JHSX VARCHAR2(3),HTBH VARCHAR2(64) not null,XSDWDM VARCHAR2(18) not null,XSDWMC VARCHAR2(50),GHDWMC VARCHAR2(50),GHDWDM VARCHAR2(18) not null,QDDD VARCHAR2(128) not null,QDSJ VARCHAR2(10) not null,JHSJ1 VARCHAR2(32),jhksrq VARCHAR2(10),PZDM1 VARCHAR2(7),CD1 VARCHAR2(6),DJ1 VARCHAR2(2),JLDW1 VARCHAR2(2),SL1 NUMBER(18,0),JG2 NUMBER(8,2) not null,ZLBZ VARCHAR2(60),BZBZ VARCHAR2(60),SHBZ VARCHAR2(60),JHFS VARCHAR2(60),YSFS VARCHAR2(60),JYBZ VARCHAR2(60),JSFS VARCHAR2(60),DBFS VARCHAR2(60),HTJC VARCHAR2(60),WYZR VARCHAR2(60),ZYJJFS VARCHAR2(20),ZCWYH VARCHAR2(20),SXSJ VARCHAR2(32),QT VARCHAR2(60),CMRMC VARCHAR2(30),CMRDZ VARCHAR2(128),CMRFD VARCHAR2(10),CMRDL VARCHAR2(20) not null,CMRDH VARCHAR2(30),CMRKH VARCHAR2(3) not null,CMRZH VARCHAR2(30) not null,gfsh VARCHAR2(30) not null,CMRYB VARCHAR2(6),MSRMC VARCHAR2(50),MSRDZ VARCHAR2(128),MSRFD VARCHAR2(50),MSRDL VARCHAR2(20) not null,MSRDH VARCHAR2(30),MSRKH VARCHAR2(3) not null,xfsh VARCHAR2(30) not null,MSRZH VARCHAR2(30) not null,MSRYB VARCHAR2(6),JZYJ VARCHAR2(60),JZJG VARCHAR2(30),JBR VARCHAR2(50),JZSJ VARCHAR2(32),CREATE_TIME VARCHAR2(32),UPDATE_TIME VARCHAR2(32),TYSHXYDM VARCHAR2(20),DWDM VARCHAR2(32),JHZXXH VARCHAR2(32),htmc VARCHAR2(64) not null,tbrq VARCHAR2(10) not null,htzje NUMBER(20,3) not null,lybzj NUMBER(20,3) not null,sgzjly VARCHAR2(1));
--备注
comment on column DIM_HY_HTXXB.JHSX is '计划属性代码';
comment on column DIM_HY_HTXXB.HTBH is '合同编号';
comment on column DIM_HY_HTXXB.XSDWDM is '销售单位代码18位统一社会信用代码';
comment on column DIM_HY_HTXXB.XSDWMC is '销售单位名称';
comment on column DIM_HY_HTXXB.GHDWMC is '购货单位名称';
comment on column DIM_HY_HTXXB.GHDWDM is '购货单位代码18位统一社会信用代码';
comment on column DIM_HY_HTXXB.QDDD is '签定地点';
comment on column DIM_HY_HTXXB.QDSJ is '签定时间格式：yyyy-MM-dd';
comment on column DIM_HY_HTXXB.JHSJ1 is '交货时间';
comment on column DIM_HY_HTXXB.jhksrq is '交货开始日期格式：yyyy-MM-dd';
comment on column DIM_HY_HTXXB.PZDM1 is '品种参考表4-1主要粮食及加工产品分类与代码表';
comment on column DIM_HY_HTXXB.CD1 is '产地';
comment on column DIM_HY_HTXXB.DJ1 is '等级参考表4-3等级代码表';
comment on column DIM_HY_HTXXB.JLDW1 is '计量单位';
comment on column DIM_HY_HTXXB.SL1 is '数量';
comment on column DIM_HY_HTXXB.JG2 is '单价单位：元/吨';
comment on column DIM_HY_HTXXB.ZLBZ is '质量标准';
comment on column DIM_HY_HTXXB.BZBZ is '包装标准';
comment on column DIM_HY_HTXXB.SHBZ is '损耗标准';
comment on column DIM_HY_HTXXB.JHFS is '交货方式';
comment on column DIM_HY_HTXXB.YSFS is '运输方式';
comment on column DIM_HY_HTXXB.JYBZ is '检验标准';
comment on column DIM_HY_HTXXB.JSFS is '结算方式';
comment on column DIM_HY_HTXXB.DBFS is '担保方式';
comment on column DIM_HY_HTXXB.HTJC is '合同解除';
comment on column DIM_HY_HTXXB.WYZR is '违约责任';
comment on column DIM_HY_HTXXB.ZYJJFS is '争议解决方式';
comment on column DIM_HY_HTXXB.ZCWYH is '仲裁委员会';
comment on column DIM_HY_HTXXB.SXSJ is '生效时间';
comment on column DIM_HY_HTXXB.QT is '其他';
comment on column DIM_HY_HTXXB.CMRMC is '出卖方名称';
comment on column DIM_HY_HTXXB.CMRDZ is '出卖方地址';
comment on column DIM_HY_HTXXB.CMRFD is '出卖方法代';
comment on column DIM_HY_HTXXB.CMRDL is '出卖方代理供方业务经济人';
comment on column DIM_HY_HTXXB.CMRDH is '出卖方电话';
comment on column DIM_HY_HTXXB.CMRKH is '出卖方开户103 ：中国农业银行
402 ：农村信用合作社
314 ：农村商业银行
102 ：中国工商银行
105：中国建设银行
104：中国银行
403：中国邮政储蓄
999：其它银行';
comment on column DIM_HY_HTXXB.CMRZH is '出卖方账号';
comment on column DIM_HY_HTXXB.gfsh is '出卖方税号';
comment on column DIM_HY_HTXXB.CMRYB is '出卖方邮编';
comment on column DIM_HY_HTXXB.MSRMC is '买手人名称';
comment on column DIM_HY_HTXXB.MSRDZ is '买受人地址';
comment on column DIM_HY_HTXXB.MSRFD is '买受人法代';
comment on column DIM_HY_HTXXB.MSRDL is '买受人代理需方业务经济人';
comment on column DIM_HY_HTXXB.MSRDH is '买受人电话';
comment on column DIM_HY_HTXXB.MSRKH is '买受人开户103 ：中国农业银行
402 ：农村信用合作社
314 ：农村商业银行
102 ：中国工商银行
105：中国建设银行
104：中国银行
403：中国邮政储蓄
999：其它银行
';
comment on column DIM_HY_HTXXB.xfsh is '买受人税号';
comment on column DIM_HY_HTXXB.MSRZH is '买受人账号';
comment on column DIM_HY_HTXXB.MSRYB is '买受人邮编';
comment on column DIM_HY_HTXXB.JZYJ is '鉴证意见';
comment on column DIM_HY_HTXXB.JZJG is '鉴证机关';
comment on column DIM_HY_HTXXB.JBR is '经办人';
comment on column DIM_HY_HTXXB.JZSJ is '签证时间';
comment on column DIM_HY_HTXXB.CREATE_TIME is '创建时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_HTXXB.UPDATE_TIME is '修改时间yyyy-mm-dd hh24:mi:ss';
comment on column DIM_HY_HTXXB.TYSHXYDM is '统一社会信用代码';
comment on column DIM_HY_HTXXB.DWDM is '单位代码';
comment on column DIM_HY_HTXXB.JHZXXH is '计划执行序号';
comment on column DIM_HY_HTXXB.htmc is '合同名称';
comment on column DIM_HY_HTXXB.tbrq is '提报日期格式：yyyy-MM-dd';
comment on column DIM_HY_HTXXB.htzje is '合同总金额单位：元';
comment on column DIM_HY_HTXXB.lybzj is '履约保证金单位：元';
comment on column DIM_HY_HTXXB.sgzjly is '收购资金来源0：自筹
1：社会保障基金
2：农发行商贷
'; 